-- Active: 1731563183148@@192.168.110.86@3306@mall_prod

/*
Navicat Premium Data Transfer
Source Server         : 127.0.0.1 MySQL
Source Server Type    : MySQL
Source Server Version : 80200 (8.2.0)
Source Host           : 127.0.0.1:3306
Source Schema         : ruoyi-vue-pro
Target Server Type    : MySQL
Target Server Version : 80200 (8.2.0)
File Encoding         : 65001
Date: 07/10/2024 16:53:40
*/

SET NAMES utf8mb4;

SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for bpm_category
-- ----------------------------
DROP TABLE IF EXISTS `bpm_category`;

CREATE TABLE `bpm_category` (
    `id` bigint NOT NULL AUTO_INCREMENT COMMENT '分类编号',
    `name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '分类名',
    `code` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '分类标志',
    `description` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '分类描述',
    `status` tinyint NULL DEFAULT NULL COMMENT '分类状态',
    `sort` int NULL DEFAULT NULL COMMENT '分类排序',
    `creator` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '创建者',
    `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
    `updater` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '更新者',
    `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
    `deleted` bit(1) NOT NULL DEFAULT b'0' COMMENT '是否删除',
    `tenant_id` bigint NOT NULL DEFAULT 0 COMMENT '租户编号',
    PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 117 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci COMMENT = 'BPM 流程分类';

-- ----------------------------
-- Records of bpm_category
-- ----------------------------
BEGIN;

COMMIT;

-- ----------------------------
-- Table structure for bpm_form
-- ----------------------------
DROP TABLE IF EXISTS `bpm_form`;

CREATE TABLE `bpm_form` (
    `id` bigint NOT NULL AUTO_INCREMENT COMMENT '编号',
    `name` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '表单名',
    `status` tinyint NOT NULL COMMENT '开启状态',
    `conf` varchar(1000) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '表单的配置',
    `fields` varchar(5000) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '表单项的数组',
    `remark` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '备注',
    `creator` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '创建者',
    `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
    `updater` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '更新者',
    `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
    `deleted` bit(1) NOT NULL DEFAULT b'0' COMMENT '是否删除',
    `tenant_id` bigint NOT NULL DEFAULT 0 COMMENT '租户编号',
    PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 31 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci COMMENT = 'BPM 表单定义表';

-- ----------------------------
-- Records of bpm_form
-- ----------------------------
BEGIN;

COMMIT;

-- ----------------------------
-- Table structure for bpm_oa_leave
-- ----------------------------
DROP TABLE IF EXISTS `bpm_oa_leave`;

CREATE TABLE `bpm_oa_leave` (
    `id` bigint NOT NULL AUTO_INCREMENT COMMENT '请假表单主键',
    `user_id` bigint NOT NULL COMMENT '申请人的用户编号',
    `type` tinyint NOT NULL COMMENT '请假类型',
    `reason` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '请假原因',
    `start_time` datetime NOT NULL COMMENT '开始时间',
    `end_time` datetime NOT NULL COMMENT '结束时间',
    `day` tinyint NOT NULL COMMENT '请假天数',
    `status` tinyint NOT NULL COMMENT '审批结果',
    `process_instance_id` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '流程实例的编号',
    `creator` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '创建者',
    `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
    `updater` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '更新者',
    `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
    `deleted` bit(1) NOT NULL DEFAULT b'0' COMMENT '是否删除',
    `tenant_id` bigint NOT NULL DEFAULT 0 COMMENT '租户编号',
    PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 44 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci COMMENT = 'OA 请假申请表';

-- ----------------------------
-- Records of bpm_oa_leave
-- ----------------------------
BEGIN;

COMMIT;

-- ----------------------------
-- Table structure for bpm_process_definition_info
-- ----------------------------
DROP TABLE IF EXISTS `bpm_process_definition_info`;

CREATE TABLE `bpm_process_definition_info` (
    `id` bigint NOT NULL AUTO_INCREMENT COMMENT '编号',
    `process_definition_id` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '流程定义的编号',
    `model_id` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '流程模型的编号',
    `model_type` tinyint NOT NULL DEFAULT 10 COMMENT '流程模型的类型',
    `icon` varchar(512) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '图标',
    `description` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '描述',
    `form_type` tinyint NOT NULL COMMENT '表单类型',
    `form_id` bigint NULL DEFAULT NULL COMMENT '表单编号',
    `form_conf` varchar(1000) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '表单的配置',
    `form_fields` varchar(5000) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '表单项的数组',
    `form_custom_create_path` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '自定义表单的提交路径',
    `form_custom_view_path` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '自定义表单的查看路径',
    `simple_model` varchar(5000) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT 'SIMPLE 设计器模型数据 JSON 格式',
    `visible` bit(1) NOT NULL DEFAULT b'1' COMMENT '是否可见',
    `start_user_ids` varchar(256) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '可发起用户编号数组',
    `manager_user_ids` varchar(256) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '可管理用户编号数组',
    `creator` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '创建者',
    `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
    `updater` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '更新者',
    `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
    `deleted` bit(1) NOT NULL DEFAULT b'0' COMMENT '是否删除',
    `tenant_id` bigint NOT NULL DEFAULT 0 COMMENT '租户编号',
    PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 323 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci COMMENT = 'BPM 流程定义的信息表';

-- ----------------------------
-- Records of bpm_process_definition_info
-- ----------------------------
BEGIN;

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        141,
        'test_return:1:dd6b6e1d-5ac0-11ee-be77-fe3a43e3aa2f',
        '75452338-5ac0-11ee-be77-fe3a43e3aa2f',
        10,
        NULL,
        NULL,
        10,
        24,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2023-09-24 17:58:09',
        '1',
        '2023-09-24 17:58:09',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        142,
        'test_return2:1:e2de03c7-5ac2-11ee-9bee-fe3a43e3aa2f',
        'ad8d0722-5ac2-11ee-9bee-fe3a43e3aa2f',
        10,
        NULL,
        'biubiu',
        10,
        24,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2023-09-24 18:12:37',
        '1',
        '2023-09-24 18:12:37',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        143,
        'test_return2:2:320f7403-5ac3-11ee-9bee-fe3a43e3aa2f',
        'ad8d0722-5ac2-11ee-9bee-fe3a43e3aa2f',
        10,
        NULL,
        'biubiu',
        10,
        24,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2023-09-24 18:14:50',
        '1',
        '2023-09-24 18:14:50',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        144,
        'contract-approve:1:057a9d3b-d1ed-11ee-a436-8a9af48de719',
        '499c96e6-d1ec-11ee-a436-8a9af48de719',
        10,
        NULL,
        NULL,
        20,
        NULL,
        NULL,
        NULL,
        '1',
        '/crm/contract/detail',
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-02-23 09:44:02',
        '1',
        '2024-02-23 09:44:02',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        145,
        'contract-approve:2:dd644004-d208-11ee-ba3b-5e0431cb568f',
        '499c96e6-d1ec-11ee-a436-8a9af48de719',
        10,
        NULL,
        NULL,
        20,
        NULL,
        NULL,
        NULL,
        '/crm/contract/detail2',
        '/crm/contract/detail2',
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-02-23 13:03:21',
        '1',
        '2024-02-23 13:03:21',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        146,
        'contract-approve:3:87c93a24-d212-11ee-ba3b-5e0431cb568f',
        '499c96e6-d1ec-11ee-a436-8a9af48de719',
        10,
        NULL,
        NULL,
        20,
        NULL,
        NULL,
        NULL,
        '/crm/contract/detail/index',
        '/crm/contract/detail/index',
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-02-23 14:12:32',
        '1',
        '2024-02-23 14:12:32',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        147,
        'crm-contract-audit:1:a5ec9240-d2a7-11ee-a703-92ff8e2e5a3e',
        '5b40f87b-d2a7-11ee-a703-92ff8e2e5a3e',
        10,
        NULL,
        NULL,
        20,
        NULL,
        NULL,
        NULL,
        '/crm/business/detail/index',
        '/crm/business/detail/index',
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-02-24 07:59:58',
        '1',
        '2024-02-24 07:59:58',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        148,
        'crm-contract-audit:2:288f69f6-d2a8-11ee-b20a-8adfac90dc14',
        '5b40f87b-d2a7-11ee-a703-92ff8e2e5a3e',
        10,
        NULL,
        NULL,
        20,
        NULL,
        NULL,
        NULL,
        '/crm/contract/detail/index',
        '/crm/contract/detail/index',
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-02-24 08:03:37',
        '1',
        '2024-02-24 08:03:37',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        149,
        'crm-receivable-audit:1:fa8272f3-d3d2-11ee-aa2f-26aa5e0b65cc',
        '9bc054ce-d3d2-11ee-aa2f-26aa5e0b65cc',
        10,
        NULL,
        NULL,
        20,
        NULL,
        NULL,
        NULL,
        '/crm/receivable/detail/index',
        '/crm/receivable/detail/index',
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-02-25 19:42:39',
        '1',
        '2024-02-25 19:42:39',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        150,
        'xx:1:4d87fd62-e074-11ee-9b46-0e22e0b61031',
        '9f50553c-a6b4-11ee-904d-2a0706c917c0',
        10,
        NULL,
        NULL,
        10,
        24,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-12 21:27:42',
        '1',
        '2024-03-12 21:27:42',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        151,
        'xx:2:eacda6dc-e077-11ee-be9b-f21fd1da61a2',
        '9f50553c-a6b4-11ee-904d-2a0706c917c0',
        10,
        NULL,
        NULL,
        10,
        24,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-12 21:53:34',
        '1',
        '2024-03-12 21:53:34',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        152,
        'new-1:1:73f06beb-e13b-11ee-a38f-06b2c2ddc7b1',
        '341a1b12-e13b-11ee-a38f-06b2c2ddc7b1',
        10,
        NULL,
        NULL,
        10,
        24,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-13 21:13:16',
        '1',
        '2024-03-13 21:13:16',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        153,
        'new-1:2:7f2c569a-e141-11ee-9d86-06b2c2ddc7b1',
        '341a1b12-e13b-11ee-a38f-06b2c2ddc7b1',
        10,
        NULL,
        '2',
        10,
        24,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-13 21:56:32',
        '1',
        '2024-03-13 21:56:32',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        154,
        'new-1:3:86ec704e-e141-11ee-9d86-06b2c2ddc7b1',
        '341a1b12-e13b-11ee-a38f-06b2c2ddc7b1',
        10,
        NULL,
        '2',
        10,
        24,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-13 21:56:45',
        '1',
        '2024-03-13 21:56:45',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        155,
        'new-1:4:6a258922-e1bc-11ee-9330-feeee51d4267',
        '341a1b12-e13b-11ee-a38f-06b2c2ddc7b1',
        10,
        NULL,
        '2',
        10,
        24,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-14 12:36:25',
        '1',
        '2024-03-14 12:36:25',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        156,
        'new-1:5:a48c8e16-e1bc-11ee-9330-feeee51d4267',
        '341a1b12-e13b-11ee-a38f-06b2c2ddc7b1',
        10,
        NULL,
        '2',
        10,
        24,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-14 12:38:03',
        '1',
        '2024-03-14 12:38:03',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        157,
        'new-1:6:ab7ad8da-e1bc-11ee-9330-feeee51d4267',
        '341a1b12-e13b-11ee-a38f-06b2c2ddc7b1',
        10,
        NULL,
        '2222',
        10,
        24,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-14 12:38:14',
        '1',
        '2024-03-14 12:38:14',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        158,
        'new-1:7:d7595072-e1bc-11ee-9b9f-feeee51d4267',
        '341a1b12-e13b-11ee-a38f-06b2c2ddc7b1',
        10,
        NULL,
        '2222',
        10,
        24,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-14 12:39:28',
        '1',
        '2024-03-14 12:39:28',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        159,
        'new-1:8:75b9842a-e205-11ee-aac1-66c23f24ce2b',
        '341a1b12-e13b-11ee-a38f-06b2c2ddc7b1',
        10,
        NULL,
        '2222',
        10,
        24,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-14 21:19:17',
        '1',
        '2024-03-14 21:19:17',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        160,
        'new-1:9:9dcaa07e-e205-11ee-aac1-66c23f24ce2b',
        '341a1b12-e13b-11ee-a38f-06b2c2ddc7b1',
        10,
        NULL,
        '2222',
        10,
        24,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-14 21:20:25',
        '1',
        '2024-03-14 21:20:25',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        161,
        'new-1:10:9f5a6842-e205-11ee-aac1-66c23f24ce2b',
        '341a1b12-e13b-11ee-a38f-06b2c2ddc7b1',
        10,
        NULL,
        '2222',
        10,
        24,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-14 21:20:27',
        '1',
        '2024-03-14 21:20:27',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        162,
        'new-1:11:f2499f4b-e20c-11ee-beae-46aa22562164',
        '341a1b12-e13b-11ee-a38f-06b2c2ddc7b1',
        10,
        NULL,
        '2222',
        10,
        24,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-14 22:12:53',
        '1',
        '2024-03-14 22:12:53',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        163,
        'new-2:1:7fc84238-e2c1-11ee-ad8d-9216688a4b8f',
        '096c61cd-e2c0-11ee-ad8d-9216688a4b8f',
        10,
        NULL,
        '123',
        10,
        24,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-15 19:45:20',
        '1',
        '2024-03-15 19:45:20',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        164,
        'new-2:2:18c21844-e2c2-11ee-ad8d-9216688a4b8f',
        '096c61cd-e2c0-11ee-ad8d-9216688a4b8f',
        10,
        NULL,
        '123',
        10,
        24,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-15 19:49:36',
        '1',
        '2024-03-15 19:49:36',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        165,
        'new-2:3:2a67c3b8-e2c2-11ee-ad8d-9216688a4b8f',
        '096c61cd-e2c0-11ee-ad8d-9216688a4b8f',
        10,
        NULL,
        '123',
        10,
        24,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-15 19:50:06',
        '1',
        '2024-03-15 19:50:06',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        166,
        'new-2:4:4bdfb93e-e2c2-11ee-ad8d-9216688a4b8f',
        '096c61cd-e2c0-11ee-ad8d-9216688a4b8f',
        10,
        NULL,
        '123',
        10,
        24,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-15 19:51:02',
        '1',
        '2024-03-15 19:51:02',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        167,
        'new-2:5:aca8925e-e2e9-11ee-83a1-0e2aa205f435',
        '096c61cd-e2c0-11ee-ad8d-9216688a4b8f',
        10,
        NULL,
        '123',
        10,
        24,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-16 00:32:55',
        '1',
        '2024-03-16 00:32:55',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        168,
        'new-2:6:634784f8-e2ea-11ee-b183-0e2aa205f435',
        '096c61cd-e2c0-11ee-ad8d-9216688a4b8f',
        10,
        NULL,
        '123',
        10,
        24,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-16 00:38:01',
        '1',
        '2024-03-16 00:38:01',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        169,
        'new-2:7:8167c4f2-e2ea-11ee-b183-0e2aa205f435',
        '096c61cd-e2c0-11ee-ad8d-9216688a4b8f',
        10,
        NULL,
        '123',
        10,
        24,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-16 00:38:52',
        '1',
        '2024-03-16 00:38:52',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        170,
        'test:1:9c4cac8d-e360-11ee-9498-6aca1e3be435',
        '7077f888-e360-11ee-9498-6aca1e3be435',
        10,
        NULL,
        'biubiubiu',
        10,
        24,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-16 14:44:17',
        '1',
        '2024-03-16 14:44:17',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        171,
        'test:2:99e30b8e-e370-11ee-a1a2-0ebfd53b3c91',
        '7077f888-e360-11ee-9498-6aca1e3be435',
        10,
        NULL,
        'biubiubiu',
        10,
        24,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-16 16:38:45',
        '1',
        '2024-03-16 16:38:45',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        172,
        'test:3:9befa472-e370-11ee-a1a2-0ebfd53b3c91',
        '7077f888-e360-11ee-9498-6aca1e3be435',
        10,
        NULL,
        'biubiubiu',
        10,
        24,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-16 16:38:49',
        '1',
        '2024-03-16 16:38:49',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        173,
        'huoqian:1:e95f383c-e37e-11ee-a889-0ebfd53b3c91',
        'd139e257-e37e-11ee-a889-0ebfd53b3c91',
        10,
        NULL,
        '123321',
        10,
        24,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-16 18:21:12',
        '1',
        '2024-03-16 18:21:12',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        174,
        'bohui:1:5b1ab874-e384-11ee-9e7b-aab4713d012e',
        '35963a6f-e384-11ee-9e7b-aab4713d012e',
        10,
        NULL,
        NULL,
        10,
        24,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-16 19:00:10',
        '1',
        '2024-03-16 19:00:10',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        175,
        'bohui:2:929c1199-e5ca-11ee-9e7b-3e9a6d6b4cd2',
        '35963a6f-e384-11ee-9e7b-aab4713d012e',
        10,
        NULL,
        '测试',
        10,
        24,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-19 16:27:50',
        '1',
        '2024-03-19 16:27:50',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        176,
        'bohui:3:2e6a6c9d-e5e2-11ee-9e7b-3e9a6d6b4cd2',
        '35963a6f-e384-11ee-9e7b-aab4713d012e',
        10,
        NULL,
        '测试',
        10,
        24,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-19 19:16:50',
        '1',
        '2024-03-19 19:16:50',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        177,
        'huoqian:2:3081daf1-e5e2-11ee-9e7b-3e9a6d6b4cd2',
        'd139e257-e37e-11ee-a889-0ebfd53b3c91',
        10,
        NULL,
        '312321',
        10,
        24,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-19 19:16:53',
        '1',
        '2024-03-19 19:16:53',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        178,
        'test:4:31c77a55-e5e2-11ee-9e7b-3e9a6d6b4cd2',
        '7077f888-e360-11ee-9498-6aca1e3be435',
        10,
        NULL,
        'biubiubiu',
        10,
        24,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-19 19:16:56',
        '1',
        '2024-03-19 19:16:56',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        179,
        'new-1:12:32ec9969-e5e2-11ee-9e7b-3e9a6d6b4cd2',
        '341a1b12-e13b-11ee-a38f-06b2c2ddc7b1',
        10,
        NULL,
        '2222',
        10,
        24,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-19 19:16:57',
        '1',
        '2024-03-19 19:16:57',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        180,
        'new-1:13:8612ea4d-e5e2-11ee-9e7b-3e9a6d6b4cd2',
        '341a1b12-e13b-11ee-a38f-06b2c2ddc7b1',
        10,
        NULL,
        '2222',
        10,
        24,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-19 19:19:17',
        '1',
        '2024-03-19 19:19:17',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        181,
        'crm-receivable-audit:2:87747621-e5e2-11ee-9e7b-3e9a6d6b4cd2',
        '9bc054ce-d3d2-11ee-aa2f-26aa5e0b65cc',
        10,
        NULL,
        NULL,
        20,
        NULL,
        NULL,
        NULL,
        '/crm/receivable/detail/index',
        '/crm/receivable/detail/index',
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-19 19:19:19',
        '1',
        '2024-03-19 19:19:19',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        182,
        'huoqian:3:a0f2f365-e5e2-11ee-9e7b-3e9a6d6b4cd2',
        'd139e257-e37e-11ee-a889-0ebfd53b3c91',
        10,
        NULL,
        '312321',
        10,
        24,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-19 19:20:02',
        '1',
        '2024-03-19 19:20:02',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        183,
        'bohui:4:0ae36c02-e607-11ee-95fc-76ce04f8068a',
        '35963a6f-e384-11ee-9e7b-aab4713d012e',
        10,
        NULL,
        '测试',
        10,
        24,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-19 23:40:42',
        '1',
        '2024-03-19 23:40:42',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        184,
        'bohui:5:cc1ecb1f-e60c-11ee-9a09-76ce04f8068a',
        '35963a6f-e384-11ee-9e7b-aab4713d012e',
        10,
        NULL,
        '测试',
        10,
        24,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-20 00:21:53',
        '1',
        '2024-03-20 00:21:53',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        185,
        'bohui:6:cd95b3b3-e60c-11ee-9a09-76ce04f8068a',
        '35963a6f-e384-11ee-9e7b-aab4713d012e',
        10,
        NULL,
        '测试',
        10,
        24,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-20 00:21:56',
        '1',
        '2024-03-20 00:21:56',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        186,
        'huoqian:4:e4f8f217-e60c-11ee-9a09-76ce04f8068a',
        'd139e257-e37e-11ee-a889-0ebfd53b3c91',
        10,
        NULL,
        '312321',
        10,
        24,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-20 00:22:35',
        '1',
        '2024-03-20 00:22:35',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        187,
        'huoqian:5:e87101db-e60c-11ee-9a09-76ce04f8068a',
        'd139e257-e37e-11ee-a889-0ebfd53b3c91',
        10,
        NULL,
        '312321',
        10,
        24,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-20 00:22:41',
        '1',
        '2024-03-20 00:22:41',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        188,
        'new-test:1:c94e33b3-e60e-11ee-b246-76ce04f8068a',
        '89f1f488-e60e-11ee-9a09-76ce04f8068a',
        10,
        NULL,
        NULL,
        10,
        24,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-20 00:36:08',
        '1',
        '2024-03-20 00:36:08',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        189,
        'new-test:2:09735826-e66a-11ee-9c22-4aafd11823fb',
        '89f1f488-e60e-11ee-9a09-76ce04f8068a',
        10,
        NULL,
        NULL,
        10,
        24,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-20 11:29:19',
        '1',
        '2024-03-20 11:29:19',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        190,
        'new-test:3:0abe009a-e66a-11ee-9c22-4aafd11823fb',
        '89f1f488-e60e-11ee-9a09-76ce04f8068a',
        10,
        NULL,
        NULL,
        10,
        24,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-20 11:29:22',
        '1',
        '2024-03-20 11:29:22',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        191,
        'hhhh:1:8b313806-e698-11ee-8b05-52c6ce924391',
        '155910bd-e698-11ee-aeba-aa5b9845b3dd',
        10,
        NULL,
        '444',
        10,
        24,
        NULL,
        NULL,
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-20 17:02:14',
        '1',
        '2024-03-20 17:02:14',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        192,
        'hhhh:2:b96ff12b-e699-11ee-a9b4-52c6ce924391',
        '155910bd-e698-11ee-aeba-aa5b9845b3dd',
        10,
        NULL,
        '444',
        10,
        24,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-20 17:10:41',
        '1',
        '2024-03-20 17:10:41',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        193,
        'oa_leave:1:7f7be21c-e6b8-11ee-9cdc-4a23a0fa7ecb',
        '5a910c07-e6b8-11ee-9cdc-4a23a0fa7ecb',
        10,
        NULL,
        NULL,
        20,
        NULL,
        NULL,
        NULL,
        '/bpm/oa/leave/create',
        '/bpm/oa/leave/detail',
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-20 20:50:58',
        '1',
        '2024-03-20 20:50:58',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        194,
        'oa_leave:2:dc565ee3-e841-11ee-a5e7-525da23008fe',
        '5a910c07-e6b8-11ee-9cdc-4a23a0fa7ecb',
        10,
        NULL,
        NULL,
        20,
        NULL,
        NULL,
        NULL,
        '/bpm/oa/leave/create',
        '/bpm/oa/leave/detail',
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-22 19:46:46',
        '1',
        '2024-03-22 19:46:46',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        195,
        'hhhh:3:c1e2dce5-e842-11ee-90ce-4a385f3b4f1a',
        '155910bd-e698-11ee-aeba-aa5b9845b3dd',
        10,
        NULL,
        '444',
        10,
        24,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-22 19:53:11',
        '1',
        '2024-03-22 19:53:11',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        196,
        'hhhh:4:d27088a9-e842-11ee-90ce-4a385f3b4f1a',
        '155910bd-e698-11ee-aeba-aa5b9845b3dd',
        10,
        NULL,
        '444',
        10,
        24,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-22 19:53:39',
        '1',
        '2024-03-22 19:53:39',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        197,
        'oa_leave:3:ec4b0352-e85f-11ee-a915-fef401dd8c67',
        '5a910c07-e6b8-11ee-9cdc-4a23a0fa7ecb',
        10,
        NULL,
        NULL,
        20,
        NULL,
        NULL,
        NULL,
        '/bpm/oa/leave/create',
        '/bpm/oa/leave/detail',
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-22 23:21:58',
        '1',
        '2024-03-22 23:21:58',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        198,
        'hhhh:5:f8052e06-e85f-11ee-a915-fef401dd8c67',
        '155910bd-e698-11ee-aeba-aa5b9845b3dd',
        10,
        NULL,
        '444',
        10,
        24,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-22 23:22:18',
        '1',
        '2024-03-22 23:22:18',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        199,
        'hhhh:6:f9c52d8a-e85f-11ee-a915-fef401dd8c67',
        '155910bd-e698-11ee-aeba-aa5b9845b3dd',
        10,
        NULL,
        '444',
        10,
        24,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-22 23:22:21',
        '1',
        '2024-03-22 23:22:21',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        200,
        'oa_leave:4:405a9670-e86a-11ee-9962-52c5f2f50e3f',
        '5a910c07-e6b8-11ee-9cdc-4a23a0fa7ecb',
        10,
        NULL,
        NULL,
        20,
        NULL,
        NULL,
        NULL,
        '/bpm/oa/leave/create',
        '/bpm/oa/leave/detail',
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-23 00:35:54',
        '1',
        '2024-03-23 00:35:54',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        201,
        'test-execute-listener:1:53f38c0e-e8c7-11ee-a81e-aa3623b10f85',
        '63ad6275-e8c6-11ee-a81e-aa3623b10f85',
        10,
        NULL,
        NULL,
        10,
        24,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-23 11:42:10',
        '1',
        '2024-03-23 11:42:10',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        202,
        'test-execute-listener:2:a385e0a9-e8c7-11ee-aad0-aa3623b10f85',
        '63ad6275-e8c6-11ee-a81e-aa3623b10f85',
        10,
        NULL,
        NULL,
        10,
        24,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-23 11:44:23',
        '1',
        '2024-03-23 11:44:23',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        203,
        'jiandan:1:9303634e-e8c8-11ee-afed-aa3623b10f85',
        '31b0d649-e8c8-11ee-afed-aa3623b10f85',
        10,
        NULL,
        '31',
        10,
        24,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-23 11:51:05',
        '1',
        '2024-03-23 11:51:05',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        204,
        'jiandan:2:a188dba5-e8cb-11ee-90b0-aa3623b10f85',
        '31b0d649-e8c8-11ee-afed-aa3623b10f85',
        10,
        NULL,
        '31',
        10,
        24,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-23 12:12:58',
        '1',
        '2024-03-23 12:12:58',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        205,
        'jiandan:3:a365b1f9-e8cb-11ee-90b0-aa3623b10f85',
        '31b0d649-e8c8-11ee-afed-aa3623b10f85',
        10,
        NULL,
        '31',
        10,
        24,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-23 12:13:01',
        '1',
        '2024-03-23 12:13:01',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        206,
        'jiandan:4:cd840373-e8cb-11ee-90b0-aa3623b10f85',
        '31b0d649-e8c8-11ee-afed-aa3623b10f85',
        10,
        NULL,
        '31',
        10,
        24,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-23 12:14:12',
        '1',
        '2024-03-23 12:14:12',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        207,
        'jiandan:5:eaa4117f-e8cb-11ee-90b0-aa3623b10f85',
        '31b0d649-e8c8-11ee-afed-aa3623b10f85',
        10,
        NULL,
        '31',
        10,
        24,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-23 12:15:01',
        '1',
        '2024-03-23 12:15:01',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        208,
        'jiandan:6:86693c4b-e8cc-11ee-90b0-aa3623b10f85',
        '31b0d649-e8c8-11ee-afed-aa3623b10f85',
        10,
        NULL,
        '31',
        10,
        24,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-23 12:19:22',
        '1',
        '2024-03-23 12:19:22',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        209,
        'jiandan:7:05a77968-e8cf-11ee-817e-aa3623b10f85',
        '31b0d649-e8c8-11ee-afed-aa3623b10f85',
        10,
        NULL,
        '31',
        10,
        24,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-23 12:37:15',
        '1',
        '2024-03-23 12:37:15',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        210,
        'jiandan:8:40e137b4-e8cf-11ee-817e-aa3623b10f85',
        '31b0d649-e8c8-11ee-afed-aa3623b10f85',
        10,
        NULL,
        '31',
        10,
        24,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-23 12:38:54',
        '1',
        '2024-03-23 12:38:54',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        211,
        'jiandan:9:5df007b3-e8cf-11ee-817e-aa3623b10f85',
        '31b0d649-e8c8-11ee-afed-aa3623b10f85',
        10,
        NULL,
        '31',
        10,
        24,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-23 12:39:43',
        '1',
        '2024-03-23 12:39:43',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        212,
        'jiandan:10:86a7834f-e904-11ee-868e-769cf7027e4a',
        '31b0d649-e8c8-11ee-afed-aa3623b10f85',
        10,
        NULL,
        '31',
        10,
        24,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-23 19:00:14',
        '1',
        '2024-03-23 19:00:14',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        213,
        'jiandan:11:ae58a559-e904-11ee-868e-769cf7027e4a',
        '31b0d649-e8c8-11ee-afed-aa3623b10f85',
        10,
        NULL,
        '31',
        10,
        24,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-23 19:01:21',
        '1',
        '2024-03-23 19:01:21',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        214,
        'jiandan:12:b021305d-e904-11ee-868e-769cf7027e4a',
        '31b0d649-e8c8-11ee-afed-aa3623b10f85',
        10,
        NULL,
        '31',
        10,
        24,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-23 19:01:24',
        '1',
        '2024-03-23 19:01:24',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        215,
        'jiandan:13:3d5f2d56-e905-11ee-9c2f-cacdb29edc0f',
        '31b0d649-e8c8-11ee-afed-aa3623b10f85',
        10,
        NULL,
        '31',
        10,
        24,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-23 19:05:21',
        '1',
        '2024-03-23 19:05:21',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        216,
        'jiandan:14:911254cd-e905-11ee-b8a7-cacdb29edc0f',
        '31b0d649-e8c8-11ee-afed-aa3623b10f85',
        10,
        NULL,
        '31',
        10,
        24,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-23 19:07:41',
        '1',
        '2024-03-23 19:07:41',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        217,
        'jiandan:15:d171abcd-e905-11ee-b8a7-cacdb29edc0f',
        '31b0d649-e8c8-11ee-afed-aa3623b10f85',
        10,
        NULL,
        '31',
        10,
        24,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-23 19:09:29',
        '1',
        '2024-03-23 19:09:29',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        218,
        'jiandan:16:12cd3d1d-e906-11ee-b8a7-cacdb29edc0f',
        '31b0d649-e8c8-11ee-afed-aa3623b10f85',
        10,
        NULL,
        '31',
        10,
        24,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-23 19:11:19',
        '1',
        '2024-03-23 19:11:19',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        219,
        'jiandan:17:14ffd491-e906-11ee-b8a7-cacdb29edc0f',
        '31b0d649-e8c8-11ee-afed-aa3623b10f85',
        10,
        NULL,
        '31',
        10,
        24,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-23 19:11:23',
        '1',
        '2024-03-23 19:11:23',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        220,
        'jiandan:18:a37d1331-e907-11ee-ad58-cacdb29edc0f',
        '31b0d649-e8c8-11ee-afed-aa3623b10f85',
        10,
        NULL,
        '31',
        10,
        24,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-23 19:22:31',
        '1',
        '2024-03-23 19:22:31',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        221,
        'jiandan:19:c0a44484-e915-11ee-9b58-4ad6071fe8cb',
        '31b0d649-e8c8-11ee-afed-aa3623b10f85',
        10,
        NULL,
        '31',
        10,
        24,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-23 21:03:33',
        '1',
        '2024-03-23 21:03:33',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        222,
        'jiandan:20:d94ad861-e915-11ee-9b58-4ad6071fe8cb',
        '31b0d649-e8c8-11ee-afed-aa3623b10f85',
        10,
        NULL,
        '31',
        10,
        24,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-23 21:04:14',
        '1',
        '2024-03-23 21:04:14',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        223,
        'jiandan:21:ebf8cc15-e915-11ee-9b58-4ad6071fe8cb',
        '31b0d649-e8c8-11ee-afed-aa3623b10f85',
        10,
        NULL,
        '31',
        10,
        24,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-23 21:04:46',
        '1',
        '2024-03-23 21:04:46',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        224,
        'jiandan:22:f303eda9-e915-11ee-9b58-4ad6071fe8cb',
        '31b0d649-e8c8-11ee-afed-aa3623b10f85',
        10,
        NULL,
        '31',
        10,
        24,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-23 21:04:58',
        '1',
        '2024-03-23 21:04:58',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        225,
        'jiandan:23:1f51a246-e916-11ee-9b58-4ad6071fe8cb',
        '31b0d649-e8c8-11ee-afed-aa3623b10f85',
        10,
        NULL,
        '31',
        10,
        24,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-23 21:06:12',
        '1',
        '2024-03-23 21:06:12',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        226,
        'jiandan:24:2143602a-e916-11ee-9b58-4ad6071fe8cb',
        '31b0d649-e8c8-11ee-afed-aa3623b10f85',
        10,
        NULL,
        '31',
        10,
        24,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-23 21:06:15',
        '1',
        '2024-03-23 21:06:15',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        227,
        'jiandan:25:fe687100-e97f-11ee-98a3-7248bcbce76f',
        '31b0d649-e8c8-11ee-afed-aa3623b10f85',
        10,
        NULL,
        '31',
        10,
        24,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-24 09:44:03',
        '1',
        '2024-03-24 09:44:03',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        228,
        'jiandan:26:e9f49fcc-e981-11ee-b9f2-daad0f82ed42',
        '31b0d649-e8c8-11ee-afed-aa3623b10f85',
        10,
        NULL,
        '31',
        10,
        24,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-24 09:57:48',
        '1',
        '2024-03-24 09:57:48',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        229,
        'jiandan:27:1fdd973f-e982-11ee-85e4-0ae4354b692e',
        '31b0d649-e8c8-11ee-afed-aa3623b10f85',
        10,
        'http://test.yudao.iocoder.cn/a2b3603cf8797447c26a22f18256df94562d5e00bcbdc2a523098119c50a6efa.png',
        '31',
        10,
        24,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-24 09:59:19',
        '1',
        '2024-03-24 09:59:19',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        230,
        'jiandan:28:4eaa2e83-e982-11ee-85e4-0ae4354b692e',
        '31b0d649-e8c8-11ee-afed-aa3623b10f85',
        10,
        'http://test.yudao.iocoder.cn/a2b3603cf8797447c26a22f18256df94562d5e00bcbdc2a523098119c50a6efa.png',
        '31',
        10,
        24,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-24 10:00:45',
        '1',
        '2024-03-24 10:00:45',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        231,
        'crm-receivable-audit:3:a7ef6c37-e982-11ee-85e4-0ae4354b692e',
        '9bc054ce-d3d2-11ee-aa2f-26aa5e0b65cc',
        10,
        'http://test.yudao.iocoder.cn/4c38186a52a6796d998f4e826178e1c24bee0eb722f8751e9ffb4d8eaea9b5cf.png',
        NULL,
        20,
        NULL,
        NULL,
        NULL,
        '/crm/receivable/detail/index',
        '/crm/receivable/detail/index',
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-24 10:03:07',
        '1',
        '2024-03-24 10:03:07',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        232,
        'new-1:14:bddcd37b-e982-11ee-85e4-0ae4354b692e',
        '341a1b12-e13b-11ee-a38f-06b2c2ddc7b1',
        10,
        NULL,
        '2222',
        10,
        24,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-24 10:03:44',
        '1',
        '2024-03-24 10:03:44',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        233,
        'crm-receivable-audit:4:bf5cbcbf-e982-11ee-85e4-0ae4354b692e',
        '9bc054ce-d3d2-11ee-aa2f-26aa5e0b65cc',
        10,
        'http://test.yudao.iocoder.cn/4c38186a52a6796d998f4e826178e1c24bee0eb722f8751e9ffb4d8eaea9b5cf.png',
        NULL,
        20,
        NULL,
        NULL,
        NULL,
        '/crm/receivable/detail/index',
        '/crm/receivable/detail/index',
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-24 10:03:46',
        '1',
        '2024-03-24 10:03:46',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        234,
        'crm-contract-audit:3:c0998283-e982-11ee-85e4-0ae4354b692e',
        '5b40f87b-d2a7-11ee-a703-92ff8e2e5a3e',
        10,
        'http://test.yudao.iocoder.cn/10d745dfe02082351f86c28ed2f3a7e0da8bbf6858f1d4a02e409930b3670d63.png',
        NULL,
        20,
        NULL,
        NULL,
        NULL,
        '/crm/contract/detail/index',
        '/crm/contract/detail/index',
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-24 10:03:48',
        '1',
        '2024-03-24 10:03:48',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        235,
        'jiandan:29:04a89a9e-e983-11ee-8309-e2652d1d3e17',
        '31b0d649-e8c8-11ee-afed-aa3623b10f85',
        10,
        'http://test.yudao.iocoder.cn/a2b3603cf8797447c26a22f18256df94562d5e00bcbdc2a523098119c50a6efa.png',
        '31',
        10,
        24,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-24 10:05:42',
        '1',
        '2024-03-24 10:05:42',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        236,
        'test-execute-listener:3:05563fc2-e983-11ee-8309-e2652d1d3e17',
        '63ad6275-e8c6-11ee-a81e-aa3623b10f85',
        10,
        'http://test.yudao.iocoder.cn/9bb3c5ced2acdd50e303db8d719900ac20a3a8fab2f2002c56fc8da41b74c204.png',
        NULL,
        10,
        24,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-24 10:05:43',
        '1',
        '2024-03-24 10:05:43',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        237,
        'oa_leave:5:06357c36-e983-11ee-8309-e2652d1d3e17',
        '5a910c07-e6b8-11ee-9cdc-4a23a0fa7ecb',
        10,
        'http://test.yudao.iocoder.cn/628560c644de0ae9120114509227ffb90a32e23dfc9afc2bd63763cd781ece8f.png',
        NULL,
        20,
        NULL,
        NULL,
        NULL,
        '/bpm/oa/leave/create',
        '/bpm/oa/leave/detail',
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-24 10:05:45',
        '1',
        '2024-03-24 10:05:45',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        238,
        'new-2:8:072f458a-e983-11ee-8309-e2652d1d3e17',
        '096c61cd-e2c0-11ee-ad8d-9216688a4b8f',
        10,
        'http://test.yudao.iocoder.cn/6857d7b2e57f514629c0f1aa937c5fc6c551460851975bc3ea15b5a56ce4bdea.png',
        '123',
        10,
        24,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-24 10:05:47',
        '1',
        '2024-03-24 10:05:47',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        239,
        'crm-receivable-audit:5:0828729e-e983-11ee-8309-e2652d1d3e17',
        '9bc054ce-d3d2-11ee-aa2f-26aa5e0b65cc',
        10,
        'http://test.yudao.iocoder.cn/4c38186a52a6796d998f4e826178e1c24bee0eb722f8751e9ffb4d8eaea9b5cf.png',
        NULL,
        20,
        NULL,
        NULL,
        NULL,
        '/crm/receivable/detail/index',
        '/crm/receivable/detail/index',
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-24 10:05:48',
        '1',
        '2024-03-24 10:05:48',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        240,
        'crm-contract-audit:4:09a0e1d2-e983-11ee-8309-e2652d1d3e17',
        '5b40f87b-d2a7-11ee-a703-92ff8e2e5a3e',
        10,
        'http://test.yudao.iocoder.cn/10d745dfe02082351f86c28ed2f3a7e0da8bbf6858f1d4a02e409930b3670d63.png',
        NULL,
        20,
        NULL,
        NULL,
        NULL,
        '/crm/contract/detail/index',
        '/crm/contract/detail/index',
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-24 10:05:51',
        '1',
        '2024-03-24 10:05:51',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        241,
        'common-form:1:01d5d911-e9dd-11ee-b832-9eb3e287be9e',
        '749c937c-e9d8-11ee-b832-9eb3e287be9e',
        10,
        'http://test.yudao.iocoder.cn/9bb3c5ced2acdd50e303db8d719900ac20a3a8fab2f2002c56fc8da41b74c204.png',
        '通用表单的简单示例',
        10,
        27,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"default\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"datePicker\\\",\\\"field\\\":\\\"startTime\\\",\\\"title\\\":\\\"开始时间\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":true,\\\"_fc_drag_tag\\\":\\\"datePicker\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"datePicker\\\",\\\"field\\\":\\\"Fm9i1onr8v6n68\\\",\\\"title\\\":\\\"结束时间\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":true,\\\"_fc_drag_tag\\\":\\\"datePicker\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"select\\\",\\\"field\\\":\\\"type\\\",\\\"title\\\":\\\"请假类型\\\",\\\"info\\\":\\\"\\\",\\\"effect\\\":{\\\"fetch\\\":\\\"\\\"},\\\"$required\\\":false,\\\"options\\\":[{\\\"label\\\":\\\"事假\\\",\\\"value\\\":1},{\\\"label\\\":\\\"年假\\\",\\\"value\\\":2}],\\\"_fc_drag_tag\\\":\\\"select\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"reason\\\",\\\"title\\\":\\\"请假原因\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"props\\\":{\\\"rows\\\":0,\\\"type\\\":\\\"textarea\\\"},\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-24 20:49:52',
        '1',
        '2024-03-24 20:49:52',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        242,
        'common-form:2:0e493533-e9e7-11ee-b832-9eb3e287be9e',
        '749c937c-e9d8-11ee-b832-9eb3e287be9e',
        10,
        'http://test.yudao.iocoder.cn/9bb3c5ced2acdd50e303db8d719900ac20a3a8fab2f2002c56fc8da41b74c204.png',
        '通用表单的简单示例',
        10,
        27,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"default\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"datePicker\\\",\\\"field\\\":\\\"startTime\\\",\\\"title\\\":\\\"开始时间\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":true,\\\"_fc_drag_tag\\\":\\\"datePicker\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"datePicker\\\",\\\"field\\\":\\\"Fm9i1onr8v6n68\\\",\\\"title\\\":\\\"结束时间\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":true,\\\"_fc_drag_tag\\\":\\\"datePicker\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"select\\\",\\\"field\\\":\\\"type\\\",\\\"title\\\":\\\"请假类型\\\",\\\"info\\\":\\\"\\\",\\\"effect\\\":{\\\"fetch\\\":\\\"\\\"},\\\"$required\\\":false,\\\"options\\\":[{\\\"label\\\":\\\"事假\\\",\\\"value\\\":1},{\\\"label\\\":\\\"年假\\\",\\\"value\\\":2}],\\\"_fc_drag_tag\\\":\\\"select\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"reason\\\",\\\"title\\\":\\\"请假原因\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"props\\\":{\\\"rows\\\":0,\\\"type\\\":\\\"textarea\\\"},\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-24 22:01:48',
        '1',
        '2024-03-24 22:01:48',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        243,
        'oa_leave:6:7b44afa4-ea31-11ee-bb75-5e33ef4bb66f',
        'e0d1eaff-ea2f-11ee-bb75-5e33ef4bb66f',
        10,
        'http://test.yudao.iocoder.cn/a2b3603cf8797447c26a22f18256df94562d5e00bcbdc2a523098119c50a6efa.png',
        NULL,
        20,
        NULL,
        NULL,
        NULL,
        '/bpm/oa/leave/create',
        '/bpm/oa/leave/detail',
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-25 06:54:34',
        '1',
        '2024-03-25 06:54:34',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        244,
        'common-form:3:e4fde4e7-ea58-11ee-bb75-5e33ef4bb66f',
        '749c937c-e9d8-11ee-b832-9eb3e287be9e',
        10,
        'http://test.yudao.iocoder.cn/9bb3c5ced2acdd50e303db8d719900ac20a3a8fab2f2002c56fc8da41b74c204.png',
        '通用表单的简单示例',
        10,
        27,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"default\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"datePicker\\\",\\\"field\\\":\\\"startTime\\\",\\\"title\\\":\\\"开始时间\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":true,\\\"_fc_drag_tag\\\":\\\"datePicker\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"datePicker\\\",\\\"field\\\":\\\"Fm9i1onr8v6n68\\\",\\\"title\\\":\\\"结束时间\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":true,\\\"_fc_drag_tag\\\":\\\"datePicker\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"select\\\",\\\"field\\\":\\\"type\\\",\\\"title\\\":\\\"请假类型\\\",\\\"info\\\":\\\"\\\",\\\"effect\\\":{\\\"fetch\\\":\\\"\\\"},\\\"$required\\\":false,\\\"options\\\":[{\\\"label\\\":\\\"事假\\\",\\\"value\\\":1},{\\\"label\\\":\\\"年假\\\",\\\"value\\\":2}],\\\"_fc_drag_tag\\\":\\\"select\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"reason\\\",\\\"title\\\":\\\"请假原因\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"props\\\":{\\\"rows\\\":0,\\\"type\\\":\\\"textarea\\\"},\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-25 11:36:42',
        '1',
        '2024-03-25 11:36:42',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        245,
        'common-form:4:f410143b-ea58-11ee-bb75-5e33ef4bb66f',
        '749c937c-e9d8-11ee-b832-9eb3e287be9e',
        10,
        'http://test.yudao.iocoder.cn/9bb3c5ced2acdd50e303db8d719900ac20a3a8fab2f2002c56fc8da41b74c204.png',
        '通用表单的简单示例',
        10,
        27,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"default\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"datePicker\\\",\\\"field\\\":\\\"startTime\\\",\\\"title\\\":\\\"开始时间\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":true,\\\"_fc_drag_tag\\\":\\\"datePicker\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"datePicker\\\",\\\"field\\\":\\\"Fm9i1onr8v6n68\\\",\\\"title\\\":\\\"结束时间\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":true,\\\"_fc_drag_tag\\\":\\\"datePicker\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"select\\\",\\\"field\\\":\\\"type\\\",\\\"title\\\":\\\"请假类型\\\",\\\"info\\\":\\\"\\\",\\\"effect\\\":{\\\"fetch\\\":\\\"\\\"},\\\"$required\\\":false,\\\"options\\\":[{\\\"label\\\":\\\"事假\\\",\\\"value\\\":1},{\\\"label\\\":\\\"年假\\\",\\\"value\\\":2}],\\\"_fc_drag_tag\\\":\\\"select\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"reason\\\",\\\"title\\\":\\\"请假原因\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"props\\\":{\\\"rows\\\":0,\\\"type\\\":\\\"textarea\\\"},\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-25 11:37:07',
        '1',
        '2024-03-25 11:37:07',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        246,
        'oa_leave:7:7de7f1e6-ea75-11ee-b3de-d26fe03362ce',
        'e0d1eaff-ea2f-11ee-bb75-5e33ef4bb66f',
        10,
        'http://test.yudao.iocoder.cn/a2b3603cf8797447c26a22f18256df94562d5e00bcbdc2a523098119c50a6efa.png',
        NULL,
        20,
        NULL,
        NULL,
        NULL,
        '/bpm/oa/leave/create',
        '/bpm/oa/leave/detail',
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-25 15:01:24',
        '1',
        '2024-03-25 15:01:24',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        247,
        'common-form:5:9ba7c25a-ea75-11ee-b3de-d26fe03362ce',
        '749c937c-e9d8-11ee-b832-9eb3e287be9e',
        10,
        'http://test.yudao.iocoder.cn/9bb3c5ced2acdd50e303db8d719900ac20a3a8fab2f2002c56fc8da41b74c204.png',
        '通用表单的简单示例',
        10,
        27,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"default\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"datePicker\\\",\\\"field\\\":\\\"startTime\\\",\\\"title\\\":\\\"开始时间\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":true,\\\"_fc_drag_tag\\\":\\\"datePicker\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"datePicker\\\",\\\"field\\\":\\\"Fm9i1onr8v6n68\\\",\\\"title\\\":\\\"结束时间\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":true,\\\"_fc_drag_tag\\\":\\\"datePicker\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"select\\\",\\\"field\\\":\\\"type\\\",\\\"title\\\":\\\"请假类型\\\",\\\"info\\\":\\\"\\\",\\\"effect\\\":{\\\"fetch\\\":\\\"\\\"},\\\"$required\\\":false,\\\"options\\\":[{\\\"label\\\":\\\"事假\\\",\\\"value\\\":1},{\\\"label\\\":\\\"年假\\\",\\\"value\\\":2}],\\\"_fc_drag_tag\\\":\\\"select\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"reason\\\",\\\"title\\\":\\\"请假原因\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"props\\\":{\\\"rows\\\":0,\\\"type\\\":\\\"textarea\\\"},\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-25 15:02:14',
        '1',
        '2024-03-25 15:02:14',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        248,
        'oa_leave:8:8d386d5f-ea76-11ee-b3de-d26fe03362ce',
        'e0d1eaff-ea2f-11ee-bb75-5e33ef4bb66f',
        10,
        'http://test.yudao.iocoder.cn/a2b3603cf8797447c26a22f18256df94562d5e00bcbdc2a523098119c50a6efa.png',
        NULL,
        20,
        NULL,
        NULL,
        NULL,
        '/bpm/oa/leave/create',
        '/bpm/oa/leave/detail',
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-25 15:08:59',
        '1',
        '2024-03-25 15:08:59',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        249,
        'jiandan:30:25812eb2-ea8f-11ee-b3de-d26fe03362ce',
        '31b0d649-e8c8-11ee-afed-aa3623b10f85',
        10,
        'http://test.yudao.iocoder.cn/a2b3603cf8797447c26a22f18256df94562d5e00bcbdc2a523098119c50a6efa.png',
        '31',
        10,
        24,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-25 18:05:03',
        '1',
        '2024-03-25 18:05:03',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        250,
        'common-form:6:10faaabb-eab4-11ee-b3de-d26fe03362ce',
        '749c937c-e9d8-11ee-b832-9eb3e287be9e',
        10,
        'http://test.yudao.iocoder.cn/9bb3c5ced2acdd50e303db8d719900ac20a3a8fab2f2002c56fc8da41b74c204.png',
        '通用表单的简单示例',
        10,
        27,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"default\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"datePicker\\\",\\\"field\\\":\\\"startTime\\\",\\\"title\\\":\\\"开始时间\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":true,\\\"_fc_drag_tag\\\":\\\"datePicker\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"datePicker\\\",\\\"field\\\":\\\"Fm9i1onr8v6n68\\\",\\\"title\\\":\\\"结束时间\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":true,\\\"_fc_drag_tag\\\":\\\"datePicker\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"select\\\",\\\"field\\\":\\\"type\\\",\\\"title\\\":\\\"请假类型\\\",\\\"info\\\":\\\"\\\",\\\"effect\\\":{\\\"fetch\\\":\\\"\\\"},\\\"$required\\\":false,\\\"options\\\":[{\\\"label\\\":\\\"事假\\\",\\\"value\\\":1},{\\\"label\\\":\\\"年假\\\",\\\"value\\\":2}],\\\"_fc_drag_tag\\\":\\\"select\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"reason\\\",\\\"title\\\":\\\"请假原因\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"props\\\":{\\\"rows\\\":0,\\\"type\\\":\\\"textarea\\\"},\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-25 22:29:20',
        '1',
        '2024-03-25 22:29:20',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        251,
        'common-form:7:130ac60f-eab4-11ee-b3de-d26fe03362ce',
        '749c937c-e9d8-11ee-b832-9eb3e287be9e',
        10,
        'http://test.yudao.iocoder.cn/9bb3c5ced2acdd50e303db8d719900ac20a3a8fab2f2002c56fc8da41b74c204.png',
        '通用表单的简单示例',
        10,
        27,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"default\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"datePicker\\\",\\\"field\\\":\\\"startTime\\\",\\\"title\\\":\\\"开始时间\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":true,\\\"_fc_drag_tag\\\":\\\"datePicker\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"datePicker\\\",\\\"field\\\":\\\"Fm9i1onr8v6n68\\\",\\\"title\\\":\\\"结束时间\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":true,\\\"_fc_drag_tag\\\":\\\"datePicker\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"select\\\",\\\"field\\\":\\\"type\\\",\\\"title\\\":\\\"请假类型\\\",\\\"info\\\":\\\"\\\",\\\"effect\\\":{\\\"fetch\\\":\\\"\\\"},\\\"$required\\\":false,\\\"options\\\":[{\\\"label\\\":\\\"事假\\\",\\\"value\\\":1},{\\\"label\\\":\\\"年假\\\",\\\"value\\\":2}],\\\"_fc_drag_tag\\\":\\\"select\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"reason\\\",\\\"title\\\":\\\"请假原因\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"props\\\":{\\\"rows\\\":0,\\\"type\\\":\\\"textarea\\\"},\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-25 22:29:23',
        '1',
        '2024-03-25 22:29:23',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        252,
        'common-form:8:6cd4e3df-eb56-11ee-b3de-d26fe03362ce',
        '749c937c-e9d8-11ee-b832-9eb3e287be9e',
        10,
        'http://test.yudao.iocoder.cn/9bb3c5ced2acdd50e303db8d719900ac20a3a8fab2f2002c56fc8da41b74c204.png',
        '通用表单的简单示例',
        10,
        27,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"default\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"datePicker\\\",\\\"field\\\":\\\"startTime\\\",\\\"title\\\":\\\"开始时间\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":true,\\\"_fc_drag_tag\\\":\\\"datePicker\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"datePicker\\\",\\\"field\\\":\\\"Fm9i1onr8v6n68\\\",\\\"title\\\":\\\"结束时间\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":true,\\\"_fc_drag_tag\\\":\\\"datePicker\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"select\\\",\\\"field\\\":\\\"type\\\",\\\"title\\\":\\\"请假类型\\\",\\\"info\\\":\\\"\\\",\\\"effect\\\":{\\\"fetch\\\":\\\"\\\"},\\\"$required\\\":false,\\\"options\\\":[{\\\"label\\\":\\\"事假\\\",\\\"value\\\":1},{\\\"label\\\":\\\"年假\\\",\\\"value\\\":2}],\\\"_fc_drag_tag\\\":\\\"select\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"reason\\\",\\\"title\\\":\\\"请假原因\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"props\\\":{\\\"rows\\\":0,\\\"type\\\":\\\"textarea\\\"},\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-26 17:51:32',
        '1',
        '2024-03-26 17:51:32',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        253,
        'common-form:9:2853c458-eb60-11ee-bdd0-965a2f407078',
        '749c937c-e9d8-11ee-b832-9eb3e287be9e',
        10,
        'http://test.yudao.iocoder.cn/9bb3c5ced2acdd50e303db8d719900ac20a3a8fab2f2002c56fc8da41b74c204.png',
        '通用表单的简单示例',
        10,
        27,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"default\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"datePicker\\\",\\\"field\\\":\\\"startTime\\\",\\\"title\\\":\\\"开始时间\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":true,\\\"_fc_drag_tag\\\":\\\"datePicker\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"datePicker\\\",\\\"field\\\":\\\"Fm9i1onr8v6n68\\\",\\\"title\\\":\\\"结束时间\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":true,\\\"_fc_drag_tag\\\":\\\"datePicker\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"select\\\",\\\"field\\\":\\\"type\\\",\\\"title\\\":\\\"请假类型\\\",\\\"info\\\":\\\"\\\",\\\"effect\\\":{\\\"fetch\\\":\\\"\\\"},\\\"$required\\\":false,\\\"options\\\":[{\\\"label\\\":\\\"事假\\\",\\\"value\\\":1},{\\\"label\\\":\\\"年假\\\",\\\"value\\\":2}],\\\"_fc_drag_tag\\\":\\\"select\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"reason\\\",\\\"title\\\":\\\"请假原因\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"props\\\":{\\\"rows\\\":0,\\\"type\\\":\\\"textarea\\\"},\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-26 19:01:12',
        '1',
        '2024-03-26 19:01:12',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        254,
        'common-form:10:492fa1e9-eb60-11ee-bdd0-965a2f407078',
        '749c937c-e9d8-11ee-b832-9eb3e287be9e',
        10,
        'http://test.yudao.iocoder.cn/9bb3c5ced2acdd50e303db8d719900ac20a3a8fab2f2002c56fc8da41b74c204.png',
        '通用表单的简单示例',
        10,
        27,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"default\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"datePicker\\\",\\\"field\\\":\\\"startTime\\\",\\\"title\\\":\\\"开始时间\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":true,\\\"_fc_drag_tag\\\":\\\"datePicker\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"datePicker\\\",\\\"field\\\":\\\"Fm9i1onr8v6n68\\\",\\\"title\\\":\\\"结束时间\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":true,\\\"_fc_drag_tag\\\":\\\"datePicker\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"select\\\",\\\"field\\\":\\\"type\\\",\\\"title\\\":\\\"请假类型\\\",\\\"info\\\":\\\"\\\",\\\"effect\\\":{\\\"fetch\\\":\\\"\\\"},\\\"$required\\\":false,\\\"options\\\":[{\\\"label\\\":\\\"事假\\\",\\\"value\\\":1},{\\\"label\\\":\\\"年假\\\",\\\"value\\\":2}],\\\"_fc_drag_tag\\\":\\\"select\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"reason\\\",\\\"title\\\":\\\"请假原因\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"props\\\":{\\\"rows\\\":0,\\\"type\\\":\\\"textarea\\\"},\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-26 19:02:07',
        '1',
        '2024-03-26 19:02:07',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        255,
        'common-form:11:7413b36c-eb60-11ee-bdd0-965a2f407078',
        '749c937c-e9d8-11ee-b832-9eb3e287be9e',
        10,
        'http://test.yudao.iocoder.cn/9bb3c5ced2acdd50e303db8d719900ac20a3a8fab2f2002c56fc8da41b74c204.png',
        '通用表单的简单示例',
        10,
        27,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"default\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"datePicker\\\",\\\"field\\\":\\\"startTime\\\",\\\"title\\\":\\\"开始时间\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":true,\\\"_fc_drag_tag\\\":\\\"datePicker\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"datePicker\\\",\\\"field\\\":\\\"Fm9i1onr8v6n68\\\",\\\"title\\\":\\\"结束时间\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":true,\\\"_fc_drag_tag\\\":\\\"datePicker\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"select\\\",\\\"field\\\":\\\"type\\\",\\\"title\\\":\\\"请假类型\\\",\\\"info\\\":\\\"\\\",\\\"effect\\\":{\\\"fetch\\\":\\\"\\\"},\\\"$required\\\":false,\\\"options\\\":[{\\\"label\\\":\\\"事假\\\",\\\"value\\\":1},{\\\"label\\\":\\\"年假\\\",\\\"value\\\":2}],\\\"_fc_drag_tag\\\":\\\"select\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"reason\\\",\\\"title\\\":\\\"请假原因\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"props\\\":{\\\"rows\\\":0,\\\"type\\\":\\\"textarea\\\"},\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-26 19:03:19',
        '1',
        '2024-03-26 19:03:19',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        256,
        'common-form:12:7d3a13e0-eb60-11ee-bdd0-965a2f407078',
        '749c937c-e9d8-11ee-b832-9eb3e287be9e',
        10,
        'http://test.yudao.iocoder.cn/9bb3c5ced2acdd50e303db8d719900ac20a3a8fab2f2002c56fc8da41b74c204.png',
        '通用表单的简单示例',
        10,
        27,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"default\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"datePicker\\\",\\\"field\\\":\\\"startTime\\\",\\\"title\\\":\\\"开始时间\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":true,\\\"_fc_drag_tag\\\":\\\"datePicker\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"datePicker\\\",\\\"field\\\":\\\"Fm9i1onr8v6n68\\\",\\\"title\\\":\\\"结束时间\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":true,\\\"_fc_drag_tag\\\":\\\"datePicker\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"select\\\",\\\"field\\\":\\\"type\\\",\\\"title\\\":\\\"请假类型\\\",\\\"info\\\":\\\"\\\",\\\"effect\\\":{\\\"fetch\\\":\\\"\\\"},\\\"$required\\\":false,\\\"options\\\":[{\\\"label\\\":\\\"事假\\\",\\\"value\\\":1},{\\\"label\\\":\\\"年假\\\",\\\"value\\\":2}],\\\"_fc_drag_tag\\\":\\\"select\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"reason\\\",\\\"title\\\":\\\"请假原因\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"props\\\":{\\\"rows\\\":0,\\\"type\\\":\\\"textarea\\\"},\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-26 19:03:35',
        '1',
        '2024-03-26 19:03:35',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        257,
        'common-form:13:370ab6b2-eb64-11ee-bdd0-965a2f407078',
        '749c937c-e9d8-11ee-b832-9eb3e287be9e',
        10,
        'http://test.yudao.iocoder.cn/9bb3c5ced2acdd50e303db8d719900ac20a3a8fab2f2002c56fc8da41b74c204.png',
        '通用表单的简单示例',
        10,
        27,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"default\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"datePicker\\\",\\\"field\\\":\\\"startTime\\\",\\\"title\\\":\\\"开始时间\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":true,\\\"_fc_drag_tag\\\":\\\"datePicker\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"datePicker\\\",\\\"field\\\":\\\"Fm9i1onr8v6n68\\\",\\\"title\\\":\\\"结束时间\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":true,\\\"_fc_drag_tag\\\":\\\"datePicker\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"select\\\",\\\"field\\\":\\\"type\\\",\\\"title\\\":\\\"请假类型\\\",\\\"info\\\":\\\"\\\",\\\"effect\\\":{\\\"fetch\\\":\\\"\\\"},\\\"$required\\\":false,\\\"options\\\":[{\\\"label\\\":\\\"事假\\\",\\\"value\\\":1},{\\\"label\\\":\\\"年假\\\",\\\"value\\\":2}],\\\"_fc_drag_tag\\\":\\\"select\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"reason\\\",\\\"title\\\":\\\"请假原因\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"props\\\":{\\\"rows\\\":0,\\\"type\\\":\\\"textarea\\\"},\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-26 19:30:15',
        '1',
        '2024-03-26 19:30:15',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        258,
        'common-form:14:6aa43f60-eb64-11ee-bdd0-965a2f407078',
        '749c937c-e9d8-11ee-b832-9eb3e287be9e',
        10,
        'http://test.yudao.iocoder.cn/9bb3c5ced2acdd50e303db8d719900ac20a3a8fab2f2002c56fc8da41b74c204.png',
        '通用表单的简单示例',
        10,
        27,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"default\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"datePicker\\\",\\\"field\\\":\\\"startTime\\\",\\\"title\\\":\\\"开始时间\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":true,\\\"_fc_drag_tag\\\":\\\"datePicker\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"datePicker\\\",\\\"field\\\":\\\"Fm9i1onr8v6n68\\\",\\\"title\\\":\\\"结束时间\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":true,\\\"_fc_drag_tag\\\":\\\"datePicker\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"select\\\",\\\"field\\\":\\\"type\\\",\\\"title\\\":\\\"请假类型\\\",\\\"info\\\":\\\"\\\",\\\"effect\\\":{\\\"fetch\\\":\\\"\\\"},\\\"$required\\\":false,\\\"options\\\":[{\\\"label\\\":\\\"事假\\\",\\\"value\\\":1},{\\\"label\\\":\\\"年假\\\",\\\"value\\\":2}],\\\"_fc_drag_tag\\\":\\\"select\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"reason\\\",\\\"title\\\":\\\"请假原因\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"props\\\":{\\\"rows\\\":0,\\\"type\\\":\\\"textarea\\\"},\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-26 19:31:41',
        '1',
        '2024-03-26 19:31:41',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        259,
        'common-form:15:dff9ac9c-eb65-11ee-8f77-8e54f03536f0',
        '749c937c-e9d8-11ee-b832-9eb3e287be9e',
        10,
        'http://test.yudao.iocoder.cn/9bb3c5ced2acdd50e303db8d719900ac20a3a8fab2f2002c56fc8da41b74c204.png',
        '通用表单的简单示例',
        10,
        27,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"default\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"datePicker\\\",\\\"field\\\":\\\"startTime\\\",\\\"title\\\":\\\"开始时间\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":true,\\\"_fc_drag_tag\\\":\\\"datePicker\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"datePicker\\\",\\\"field\\\":\\\"Fm9i1onr8v6n68\\\",\\\"title\\\":\\\"结束时间\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":true,\\\"_fc_drag_tag\\\":\\\"datePicker\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"select\\\",\\\"field\\\":\\\"type\\\",\\\"title\\\":\\\"请假类型\\\",\\\"info\\\":\\\"\\\",\\\"effect\\\":{\\\"fetch\\\":\\\"\\\"},\\\"$required\\\":false,\\\"options\\\":[{\\\"label\\\":\\\"事假\\\",\\\"value\\\":1},{\\\"label\\\":\\\"年假\\\",\\\"value\\\":2}],\\\"_fc_drag_tag\\\":\\\"select\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"reason\\\",\\\"title\\\":\\\"请假原因\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"props\\\":{\\\"rows\\\":0,\\\"type\\\":\\\"textarea\\\"},\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-26 19:42:08',
        '1',
        '2024-03-26 19:42:08',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        260,
        'common-form:16:f8d53320-eb65-11ee-8f77-8e54f03536f0',
        '749c937c-e9d8-11ee-b832-9eb3e287be9e',
        10,
        'http://test.yudao.iocoder.cn/9bb3c5ced2acdd50e303db8d719900ac20a3a8fab2f2002c56fc8da41b74c204.png',
        '通用表单的简单示例',
        10,
        27,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"default\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"datePicker\\\",\\\"field\\\":\\\"startTime\\\",\\\"title\\\":\\\"开始时间\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":true,\\\"_fc_drag_tag\\\":\\\"datePicker\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"datePicker\\\",\\\"field\\\":\\\"Fm9i1onr8v6n68\\\",\\\"title\\\":\\\"结束时间\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":true,\\\"_fc_drag_tag\\\":\\\"datePicker\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"select\\\",\\\"field\\\":\\\"type\\\",\\\"title\\\":\\\"请假类型\\\",\\\"info\\\":\\\"\\\",\\\"effect\\\":{\\\"fetch\\\":\\\"\\\"},\\\"$required\\\":false,\\\"options\\\":[{\\\"label\\\":\\\"事假\\\",\\\"value\\\":1},{\\\"label\\\":\\\"年假\\\",\\\"value\\\":2}],\\\"_fc_drag_tag\\\":\\\"select\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"reason\\\",\\\"title\\\":\\\"请假原因\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"props\\\":{\\\"rows\\\":0,\\\"type\\\":\\\"textarea\\\"},\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-26 19:42:49',
        '1',
        '2024-03-26 19:42:49',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        261,
        'common-form:17:65ca4431-eb66-11ee-8f77-8e54f03536f0',
        '749c937c-e9d8-11ee-b832-9eb3e287be9e',
        10,
        'http://test.yudao.iocoder.cn/9bb3c5ced2acdd50e303db8d719900ac20a3a8fab2f2002c56fc8da41b74c204.png',
        '通用表单的简单示例',
        10,
        27,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"default\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"datePicker\\\",\\\"field\\\":\\\"startTime\\\",\\\"title\\\":\\\"开始时间\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":true,\\\"_fc_drag_tag\\\":\\\"datePicker\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"datePicker\\\",\\\"field\\\":\\\"Fm9i1onr8v6n68\\\",\\\"title\\\":\\\"结束时间\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":true,\\\"_fc_drag_tag\\\":\\\"datePicker\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"select\\\",\\\"field\\\":\\\"type\\\",\\\"title\\\":\\\"请假类型\\\",\\\"info\\\":\\\"\\\",\\\"effect\\\":{\\\"fetch\\\":\\\"\\\"},\\\"$required\\\":false,\\\"options\\\":[{\\\"label\\\":\\\"事假\\\",\\\"value\\\":1},{\\\"label\\\":\\\"年假\\\",\\\"value\\\":2}],\\\"_fc_drag_tag\\\":\\\"select\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"reason\\\",\\\"title\\\":\\\"请假原因\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"props\\\":{\\\"rows\\\":0,\\\"type\\\":\\\"textarea\\\"},\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-26 19:45:52',
        '1',
        '2024-03-26 19:45:52',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        262,
        'common-form:18:6ba8e1d3-eb68-11ee-8f77-8e54f03536f0',
        '749c937c-e9d8-11ee-b832-9eb3e287be9e',
        10,
        'http://test.yudao.iocoder.cn/9bb3c5ced2acdd50e303db8d719900ac20a3a8fab2f2002c56fc8da41b74c204.png',
        '通用表单的简单示例',
        10,
        27,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"default\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"datePicker\\\",\\\"field\\\":\\\"startTime\\\",\\\"title\\\":\\\"开始时间\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":true,\\\"_fc_drag_tag\\\":\\\"datePicker\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"datePicker\\\",\\\"field\\\":\\\"Fm9i1onr8v6n68\\\",\\\"title\\\":\\\"结束时间\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":true,\\\"_fc_drag_tag\\\":\\\"datePicker\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"select\\\",\\\"field\\\":\\\"type\\\",\\\"title\\\":\\\"请假类型\\\",\\\"info\\\":\\\"\\\",\\\"effect\\\":{\\\"fetch\\\":\\\"\\\"},\\\"$required\\\":false,\\\"options\\\":[{\\\"label\\\":\\\"事假\\\",\\\"value\\\":1},{\\\"label\\\":\\\"年假\\\",\\\"value\\\":2}],\\\"_fc_drag_tag\\\":\\\"select\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"reason\\\",\\\"title\\\":\\\"请假原因\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"props\\\":{\\\"rows\\\":0,\\\"type\\\":\\\"textarea\\\"},\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-26 20:00:21',
        '1',
        '2024-03-26 20:00:21',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        263,
        'common-form:19:b0de9faf-eb68-11ee-ac74-8e54f03536f0',
        '749c937c-e9d8-11ee-b832-9eb3e287be9e',
        10,
        'http://test.yudao.iocoder.cn/9bb3c5ced2acdd50e303db8d719900ac20a3a8fab2f2002c56fc8da41b74c204.png',
        '通用表单的简单示例',
        10,
        27,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"default\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"datePicker\\\",\\\"field\\\":\\\"startTime\\\",\\\"title\\\":\\\"开始时间\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":true,\\\"_fc_drag_tag\\\":\\\"datePicker\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"datePicker\\\",\\\"field\\\":\\\"Fm9i1onr8v6n68\\\",\\\"title\\\":\\\"结束时间\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":true,\\\"_fc_drag_tag\\\":\\\"datePicker\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"select\\\",\\\"field\\\":\\\"type\\\",\\\"title\\\":\\\"请假类型\\\",\\\"info\\\":\\\"\\\",\\\"effect\\\":{\\\"fetch\\\":\\\"\\\"},\\\"$required\\\":false,\\\"options\\\":[{\\\"label\\\":\\\"事假\\\",\\\"value\\\":1},{\\\"label\\\":\\\"年假\\\",\\\"value\\\":2}],\\\"_fc_drag_tag\\\":\\\"select\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"reason\\\",\\\"title\\\":\\\"请假原因\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"props\\\":{\\\"rows\\\":0,\\\"type\\\":\\\"textarea\\\"},\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-26 20:02:17',
        '1',
        '2024-03-26 20:02:17',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        264,
        'common-form:20:dcd92b40-eb68-11ee-ac74-8e54f03536f0',
        '749c937c-e9d8-11ee-b832-9eb3e287be9e',
        10,
        'http://test.yudao.iocoder.cn/9bb3c5ced2acdd50e303db8d719900ac20a3a8fab2f2002c56fc8da41b74c204.png',
        '通用表单的简单示例',
        10,
        27,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"default\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"datePicker\\\",\\\"field\\\":\\\"startTime\\\",\\\"title\\\":\\\"开始时间\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":true,\\\"_fc_drag_tag\\\":\\\"datePicker\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"datePicker\\\",\\\"field\\\":\\\"Fm9i1onr8v6n68\\\",\\\"title\\\":\\\"结束时间\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":true,\\\"_fc_drag_tag\\\":\\\"datePicker\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"select\\\",\\\"field\\\":\\\"type\\\",\\\"title\\\":\\\"请假类型\\\",\\\"info\\\":\\\"\\\",\\\"effect\\\":{\\\"fetch\\\":\\\"\\\"},\\\"$required\\\":false,\\\"options\\\":[{\\\"label\\\":\\\"事假\\\",\\\"value\\\":1},{\\\"label\\\":\\\"年假\\\",\\\"value\\\":2}],\\\"_fc_drag_tag\\\":\\\"select\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"reason\\\",\\\"title\\\":\\\"请假原因\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"props\\\":{\\\"rows\\\":0,\\\"type\\\":\\\"textarea\\\"},\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-26 20:03:31',
        '1',
        '2024-03-26 20:03:31',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        265,
        'common-form:21:68b2dd38-eb69-11ee-94bc-8e54f03536f0',
        '749c937c-e9d8-11ee-b832-9eb3e287be9e',
        10,
        'http://test.yudao.iocoder.cn/9bb3c5ced2acdd50e303db8d719900ac20a3a8fab2f2002c56fc8da41b74c204.png',
        '通用表单的简单示例',
        10,
        27,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"default\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"datePicker\\\",\\\"field\\\":\\\"startTime\\\",\\\"title\\\":\\\"开始时间\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":true,\\\"_fc_drag_tag\\\":\\\"datePicker\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"datePicker\\\",\\\"field\\\":\\\"Fm9i1onr8v6n68\\\",\\\"title\\\":\\\"结束时间\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":true,\\\"_fc_drag_tag\\\":\\\"datePicker\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"select\\\",\\\"field\\\":\\\"type\\\",\\\"title\\\":\\\"请假类型\\\",\\\"info\\\":\\\"\\\",\\\"effect\\\":{\\\"fetch\\\":\\\"\\\"},\\\"$required\\\":false,\\\"options\\\":[{\\\"label\\\":\\\"事假\\\",\\\"value\\\":1},{\\\"label\\\":\\\"年假\\\",\\\"value\\\":2}],\\\"_fc_drag_tag\\\":\\\"select\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"reason\\\",\\\"title\\\":\\\"请假原因\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"props\\\":{\\\"rows\\\":0,\\\"type\\\":\\\"textarea\\\"},\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-26 20:07:26',
        '1',
        '2024-03-26 20:07:26',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        266,
        'common-form:22:9390d538-eb69-11ee-94bc-8e54f03536f0',
        '749c937c-e9d8-11ee-b832-9eb3e287be9e',
        10,
        'http://test.yudao.iocoder.cn/9bb3c5ced2acdd50e303db8d719900ac20a3a8fab2f2002c56fc8da41b74c204.png',
        '通用表单的简单示例',
        10,
        27,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"default\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"datePicker\\\",\\\"field\\\":\\\"startTime\\\",\\\"title\\\":\\\"开始时间\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":true,\\\"_fc_drag_tag\\\":\\\"datePicker\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"datePicker\\\",\\\"field\\\":\\\"Fm9i1onr8v6n68\\\",\\\"title\\\":\\\"结束时间\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":true,\\\"_fc_drag_tag\\\":\\\"datePicker\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"select\\\",\\\"field\\\":\\\"type\\\",\\\"title\\\":\\\"请假类型\\\",\\\"info\\\":\\\"\\\",\\\"effect\\\":{\\\"fetch\\\":\\\"\\\"},\\\"$required\\\":false,\\\"options\\\":[{\\\"label\\\":\\\"事假\\\",\\\"value\\\":1},{\\\"label\\\":\\\"年假\\\",\\\"value\\\":2}],\\\"_fc_drag_tag\\\":\\\"select\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"reason\\\",\\\"title\\\":\\\"请假原因\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"props\\\":{\\\"rows\\\":0,\\\"type\\\":\\\"textarea\\\"},\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-26 20:08:38',
        '1',
        '2024-03-26 20:08:38',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        267,
        'common-form:23:dc057b15-eb7d-11ee-94eb-ca66e5b02be3',
        '749c937c-e9d8-11ee-b832-9eb3e287be9e',
        10,
        'http://test.yudao.iocoder.cn/9bb3c5ced2acdd50e303db8d719900ac20a3a8fab2f2002c56fc8da41b74c204.png',
        '通用表单的简单示例',
        10,
        27,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"default\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"datePicker\\\",\\\"field\\\":\\\"startTime\\\",\\\"title\\\":\\\"开始时间\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":true,\\\"_fc_drag_tag\\\":\\\"datePicker\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"datePicker\\\",\\\"field\\\":\\\"Fm9i1onr8v6n68\\\",\\\"title\\\":\\\"结束时间\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":true,\\\"_fc_drag_tag\\\":\\\"datePicker\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"select\\\",\\\"field\\\":\\\"type\\\",\\\"title\\\":\\\"请假类型\\\",\\\"info\\\":\\\"\\\",\\\"effect\\\":{\\\"fetch\\\":\\\"\\\"},\\\"$required\\\":false,\\\"options\\\":[{\\\"label\\\":\\\"事假\\\",\\\"value\\\":1},{\\\"label\\\":\\\"年假\\\",\\\"value\\\":2}],\\\"_fc_drag_tag\\\":\\\"select\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"reason\\\",\\\"title\\\":\\\"请假原因\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"props\\\":{\\\"rows\\\":0,\\\"type\\\":\\\"textarea\\\"},\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-26 22:33:49',
        '1',
        '2024-03-26 22:33:49',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        268,
        'heihei:1:06f60a22-ec15-11ee-94eb-ca66e5b02be3',
        'abcd8d7d-ec14-11ee-94eb-ca66e5b02be3',
        10,
        'http://test.yudao.iocoder.cn/7926d23e751a3e6c3002d24386a826bb7e878ed6fb6be744bdfa57de9791a953.png',
        NULL,
        10,
        24,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-27 16:35:55',
        '1',
        '2024-03-27 16:35:55',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        269,
        'heihei:2:b5e85669-ec2d-11ee-905c-5e14fc17cb1d',
        'abcd8d7d-ec14-11ee-94eb-ca66e5b02be3',
        10,
        'http://test.yudao.iocoder.cn/7926d23e751a3e6c3002d24386a826bb7e878ed6fb6be744bdfa57de9791a953.png',
        NULL,
        10,
        24,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-27 19:32:36',
        '1',
        '2024-03-27 19:32:36',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        270,
        'dingding:1:ebf8e7eb-eea0-11ee-9667-e2a265c77a9c',
        '6246f786-eea0-11ee-9667-e2a265c77a9c',
        10,
        'http://test.yudao.iocoder.cn/7c8923242e856d176a9054c671d4446c5b5e05c9ff316905b81b1d9062c47fc8.png',
        '123',
        10,
        24,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-03-30 22:22:22',
        '1',
        '2024-03-30 22:22:22',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        271,
        'test-multi:1:fb1f8c36-2c71-11ef-a3cf-9eb4566c9ffb',
        'a01741c1-2c71-11ef-a3cf-9eb4566c9ffb',
        10,
        'http://test.yudao.iocoder.cn/2a124ba5743f9572fcbd2718a64ba599618c96ddba6c7391ad35906cd3f37f94.png',
        NULL,
        10,
        27,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"default\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"datePicker\\\",\\\"field\\\":\\\"startTime\\\",\\\"title\\\":\\\"开始时间\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":true,\\\"_fc_drag_tag\\\":\\\"datePicker\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"datePicker\\\",\\\"field\\\":\\\"Fm9i1onr8v6n68\\\",\\\"title\\\":\\\"结束时间\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":true,\\\"_fc_drag_tag\\\":\\\"datePicker\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"select\\\",\\\"field\\\":\\\"type\\\",\\\"title\\\":\\\"请假类型\\\",\\\"info\\\":\\\"\\\",\\\"effect\\\":{\\\"fetch\\\":\\\"\\\"},\\\"$required\\\":false,\\\"options\\\":[{\\\"label\\\":\\\"事假\\\",\\\"value\\\":1},{\\\"label\\\":\\\"年假\\\",\\\"value\\\":2}],\\\"_fc_drag_tag\\\":\\\"select\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"reason\\\",\\\"title\\\":\\\"请假原因\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"props\\\":{\\\"rows\\\":0,\\\"type\\\":\\\"textarea\\\"},\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-06-17 14:22:33',
        '1',
        '2024-06-17 14:22:33',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        272,
        'test-multi:2:fd3e749a-2c71-11ef-a3cf-9eb4566c9ffb',
        'a01741c1-2c71-11ef-a3cf-9eb4566c9ffb',
        10,
        'http://test.yudao.iocoder.cn/2a124ba5743f9572fcbd2718a64ba599618c96ddba6c7391ad35906cd3f37f94.png',
        NULL,
        10,
        27,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"default\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"datePicker\\\",\\\"field\\\":\\\"startTime\\\",\\\"title\\\":\\\"开始时间\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":true,\\\"_fc_drag_tag\\\":\\\"datePicker\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"datePicker\\\",\\\"field\\\":\\\"Fm9i1onr8v6n68\\\",\\\"title\\\":\\\"结束时间\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":true,\\\"_fc_drag_tag\\\":\\\"datePicker\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"select\\\",\\\"field\\\":\\\"type\\\",\\\"title\\\":\\\"请假类型\\\",\\\"info\\\":\\\"\\\",\\\"effect\\\":{\\\"fetch\\\":\\\"\\\"},\\\"$required\\\":false,\\\"options\\\":[{\\\"label\\\":\\\"事假\\\",\\\"value\\\":1},{\\\"label\\\":\\\"年假\\\",\\\"value\\\":2}],\\\"_fc_drag_tag\\\":\\\"select\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"reason\\\",\\\"title\\\":\\\"请假原因\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"props\\\":{\\\"rows\\\":0,\\\"type\\\":\\\"textarea\\\"},\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-06-17 14:22:36',
        '1',
        '2024-06-17 14:22:36',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        273,
        'test-multi:3:3118e1a3-2c73-11ef-be08-6200d05e9e35',
        'a01741c1-2c71-11ef-a3cf-9eb4566c9ffb',
        10,
        'http://test.yudao.iocoder.cn/2a124ba5743f9572fcbd2718a64ba599618c96ddba6c7391ad35906cd3f37f94.png',
        NULL,
        10,
        27,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"default\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"datePicker\\\",\\\"field\\\":\\\"startTime\\\",\\\"title\\\":\\\"开始时间\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":true,\\\"_fc_drag_tag\\\":\\\"datePicker\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"datePicker\\\",\\\"field\\\":\\\"Fm9i1onr8v6n68\\\",\\\"title\\\":\\\"结束时间\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":true,\\\"_fc_drag_tag\\\":\\\"datePicker\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"select\\\",\\\"field\\\":\\\"type\\\",\\\"title\\\":\\\"请假类型\\\",\\\"info\\\":\\\"\\\",\\\"effect\\\":{\\\"fetch\\\":\\\"\\\"},\\\"$required\\\":false,\\\"options\\\":[{\\\"label\\\":\\\"事假\\\",\\\"value\\\":1},{\\\"label\\\":\\\"年假\\\",\\\"value\\\":2}],\\\"_fc_drag_tag\\\":\\\"select\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"reason\\\",\\\"title\\\":\\\"请假原因\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"props\\\":{\\\"rows\\\":0,\\\"type\\\":\\\"textarea\\\"},\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-06-17 14:31:13',
        '1',
        '2024-06-17 14:31:13',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        274,
        'jiandan:1:d7d10d7c-46a3-11ef-9af1-ca5778fb00b9',
        'ad764f47-46a3-11ef-9af1-ca5778fb00b9',
        10,
        'http://test.yudao.iocoder.cn/9c6f8897bf5b3baa457b056cdfd3edebb4c5def6b2f241267b5d6903606358af.png',
        '123',
        20,
        NULL,
        NULL,
        NULL,
        '1',
        '2',
        '1',
        b'1',
        NULL,
        NULL,
        '110',
        '2024-07-20 22:24:59',
        '110',
        '2024-07-20 22:24:59',
        b'0',
        121
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        275,
        'oa_leave:9:3413581e-48b8-11ef-abfa-867f8d724d70',
        'e0d1eaff-ea2f-11ee-bb75-5e33ef4bb66f',
        10,
        'http://test.yudao.iocoder.cn/a2b3603cf8797447c26a22f18256df94562d5e00bcbdc2a523098119c50a6efa.png',
        NULL,
        20,
        NULL,
        NULL,
        NULL,
        '/bpm/oa/leave/create',
        '/bpm/oa/leave/detail',
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-07-23 13:55:46',
        '1',
        '2024-07-23 13:55:46',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        276,
        'common-form:24:8096981a-48b8-11ef-abfa-867f8d724d70',
        '749c937c-e9d8-11ee-b832-9eb3e287be9e',
        10,
        'http://test.yudao.iocoder.cn/9bb3c5ced2acdd50e303db8d719900ac20a3a8fab2f2002c56fc8da41b74c204.png',
        '通用表单的简单示例',
        10,
        27,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"default\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"datePicker\\\",\\\"field\\\":\\\"startTime\\\",\\\"title\\\":\\\"开始时间\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":true,\\\"_fc_drag_tag\\\":\\\"datePicker\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"datePicker\\\",\\\"field\\\":\\\"Fm9i1onr8v6n68\\\",\\\"title\\\":\\\"结束时间\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":true,\\\"_fc_drag_tag\\\":\\\"datePicker\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"select\\\",\\\"field\\\":\\\"type\\\",\\\"title\\\":\\\"请假类型\\\",\\\"info\\\":\\\"\\\",\\\"effect\\\":{\\\"fetch\\\":\\\"\\\"},\\\"$required\\\":false,\\\"options\\\":[{\\\"label\\\":\\\"事假\\\",\\\"value\\\":1},{\\\"label\\\":\\\"年假\\\",\\\"value\\\":2}],\\\"_fc_drag_tag\\\":\\\"select\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"reason\\\",\\\"title\\\":\\\"请假原因\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"props\\\":{\\\"rows\\\":0,\\\"type\\\":\\\"textarea\\\"},\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"UploadFile\\\",\\\"field\\\":\\\"c982ea4c-7bbd-40d3-9f58-4e6409feed7c\\\",\\\"title\\\":\\\"文件上传\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"UploadFile\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-07-23 13:57:54',
        '1',
        '2024-07-23 13:57:54',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        277,
        'dingding-test:1:c8d05645-570e-11ef-9a2a-ca6b32ba0b65',
        '5a8cf34f-570e-11ef-9a2a-ca6b32ba0b65',
        10,
        'http://test.yudao.iocoder.cn/c659aa14a791d94ba75e1d2d60d41aa62903e5a6da5fb8f7df3e71532ee69fee.png',
        NULL,
        10,
        27,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"default\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"datePicker\\\",\\\"field\\\":\\\"startTime\\\",\\\"title\\\":\\\"开始时间\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":true,\\\"_fc_drag_tag\\\":\\\"datePicker\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"datePicker\\\",\\\"field\\\":\\\"Fm9i1onr8v6n68\\\",\\\"title\\\":\\\"结束时间\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":true,\\\"_fc_drag_tag\\\":\\\"datePicker\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"select\\\",\\\"field\\\":\\\"type\\\",\\\"title\\\":\\\"请假类型\\\",\\\"info\\\":\\\"\\\",\\\"effect\\\":{\\\"fetch\\\":\\\"\\\"},\\\"$required\\\":false,\\\"options\\\":[{\\\"label\\\":\\\"事假\\\",\\\"value\\\":1},{\\\"label\\\":\\\"年假\\\",\\\"value\\\":2}],\\\"_fc_drag_tag\\\":\\\"select\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"reason\\\",\\\"title\\\":\\\"请假原因\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"props\\\":{\\\"rows\\\":0,\\\"type\\\":\\\"textarea\\\"},\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"UploadFile\\\",\\\"field\\\":\\\"c982ea4c-7bbd-40d3-9f58-4e6409feed7c\\\",\\\"title\\\":\\\"文件上传\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"UploadFile\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-08-10 19:50:48',
        '1',
        '2024-08-10 19:50:48',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        278,
        'test-multi-02:1:ca9cc34b-5786-11ef-a7d0-ca5778fb00b9',
        'ac088bd6-5786-11ef-a7d0-ca5778fb00b9',
        10,
        'http://test.yudao.iocoder.cn/2a124ba5743f9572fcbd2718a64ba599618c96ddba6c7391ad35906cd3f37f94.png',
        NULL,
        10,
        27,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"default\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"datePicker\\\",\\\"field\\\":\\\"startTime\\\",\\\"title\\\":\\\"开始时间\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":true,\\\"_fc_drag_tag\\\":\\\"datePicker\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"datePicker\\\",\\\"field\\\":\\\"Fm9i1onr8v6n68\\\",\\\"title\\\":\\\"结束时间\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":true,\\\"_fc_drag_tag\\\":\\\"datePicker\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"select\\\",\\\"field\\\":\\\"type\\\",\\\"title\\\":\\\"请假类型\\\",\\\"info\\\":\\\"\\\",\\\"effect\\\":{\\\"fetch\\\":\\\"\\\"},\\\"$required\\\":false,\\\"options\\\":[{\\\"label\\\":\\\"事假\\\",\\\"value\\\":1},{\\\"label\\\":\\\"年假\\\",\\\"value\\\":2}],\\\"_fc_drag_tag\\\":\\\"select\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"reason\\\",\\\"title\\\":\\\"请假原因\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"props\\\":{\\\"rows\\\":0,\\\"type\\\":\\\"textarea\\\"},\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"UploadFile\\\",\\\"field\\\":\\\"c982ea4c-7bbd-40d3-9f58-4e6409feed7c\\\",\\\"title\\\":\\\"文件上传\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"UploadFile\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-08-11 10:09:51',
        '1',
        '2024-08-11 10:09:51',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        279,
        'test-multi-02:2:2775af2e-5787-11ef-a7d0-ca5778fb00b9',
        'ac088bd6-5786-11ef-a7d0-ca5778fb00b9',
        10,
        'http://test.yudao.iocoder.cn/2a124ba5743f9572fcbd2718a64ba599618c96ddba6c7391ad35906cd3f37f94.png',
        NULL,
        10,
        27,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"default\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"datePicker\\\",\\\"field\\\":\\\"startTime\\\",\\\"title\\\":\\\"开始时间\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":true,\\\"_fc_drag_tag\\\":\\\"datePicker\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"datePicker\\\",\\\"field\\\":\\\"Fm9i1onr8v6n68\\\",\\\"title\\\":\\\"结束时间\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":true,\\\"_fc_drag_tag\\\":\\\"datePicker\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"select\\\",\\\"field\\\":\\\"type\\\",\\\"title\\\":\\\"请假类型\\\",\\\"info\\\":\\\"\\\",\\\"effect\\\":{\\\"fetch\\\":\\\"\\\"},\\\"$required\\\":false,\\\"options\\\":[{\\\"label\\\":\\\"事假\\\",\\\"value\\\":1},{\\\"label\\\":\\\"年假\\\",\\\"value\\\":2}],\\\"_fc_drag_tag\\\":\\\"select\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"reason\\\",\\\"title\\\":\\\"请假原因\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"props\\\":{\\\"rows\\\":0,\\\"type\\\":\\\"textarea\\\"},\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"UploadFile\\\",\\\"field\\\":\\\"c982ea4c-7bbd-40d3-9f58-4e6409feed7c\\\",\\\"title\\\":\\\"文件上传\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"UploadFile\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-08-11 10:12:27',
        '1',
        '2024-08-11 10:12:27',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        280,
        'dingding-new-01:1:4ec71d17-5b14-11ef-8d8b-0216fe4e30bd',
        '150076d1-5b14-11ef-8d8b-0216fe4e30bd',
        10,
        'http://test.yudao.iocoder.cn/7401c394a43280732e6aaa715fbfefadc33eeb8fab8f45f6b53f1acf6b22ae29.png',
        NULL,
        10,
        27,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"default\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"datePicker\\\",\\\"field\\\":\\\"startTime\\\",\\\"title\\\":\\\"开始时间\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":true,\\\"_fc_drag_tag\\\":\\\"datePicker\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"datePicker\\\",\\\"field\\\":\\\"Fm9i1onr8v6n68\\\",\\\"title\\\":\\\"结束时间\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":true,\\\"_fc_drag_tag\\\":\\\"datePicker\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"select\\\",\\\"field\\\":\\\"type\\\",\\\"title\\\":\\\"请假类型\\\",\\\"info\\\":\\\"\\\",\\\"effect\\\":{\\\"fetch\\\":\\\"\\\"},\\\"$required\\\":false,\\\"options\\\":[{\\\"label\\\":\\\"事假\\\",\\\"value\\\":1},{\\\"label\\\":\\\"年假\\\",\\\"value\\\":2}],\\\"_fc_drag_tag\\\":\\\"select\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"reason\\\",\\\"title\\\":\\\"请假原因\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"props\\\":{\\\"rows\\\":0,\\\"type\\\":\\\"textarea\\\"},\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"UploadFile\\\",\\\"field\\\":\\\"c982ea4c-7bbd-40d3-9f58-4e6409feed7c\\\",\\\"title\\\":\\\"文件上传\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"UploadFile\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-08-15 22:40:25',
        '1',
        '2024-08-15 22:40:25',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        281,
        'dingding-new-01:2:bd6da2c7-5be2-11ef-9e8e-0eb665c8c295',
        '150076d1-5b14-11ef-8d8b-0216fe4e30bd',
        10,
        'http://test.yudao.iocoder.cn/7401c394a43280732e6aaa715fbfefadc33eeb8fab8f45f6b53f1acf6b22ae29.png',
        NULL,
        10,
        27,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"default\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"datePicker\\\",\\\"field\\\":\\\"startTime\\\",\\\"title\\\":\\\"开始时间\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":true,\\\"_fc_drag_tag\\\":\\\"datePicker\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"datePicker\\\",\\\"field\\\":\\\"Fm9i1onr8v6n68\\\",\\\"title\\\":\\\"结束时间\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":true,\\\"_fc_drag_tag\\\":\\\"datePicker\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"select\\\",\\\"field\\\":\\\"type\\\",\\\"title\\\":\\\"请假类型\\\",\\\"info\\\":\\\"\\\",\\\"effect\\\":{\\\"fetch\\\":\\\"\\\"},\\\"$required\\\":false,\\\"options\\\":[{\\\"label\\\":\\\"事假\\\",\\\"value\\\":1},{\\\"label\\\":\\\"年假\\\",\\\"value\\\":2}],\\\"_fc_drag_tag\\\":\\\"select\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"reason\\\",\\\"title\\\":\\\"请假原因\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"props\\\":{\\\"rows\\\":0,\\\"type\\\":\\\"textarea\\\"},\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"UploadFile\\\",\\\"field\\\":\\\"c982ea4c-7bbd-40d3-9f58-4e6409feed7c\\\",\\\"title\\\":\\\"文件上传\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"UploadFile\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-08-16 23:18:07',
        '1',
        '2024-08-16 23:18:07',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        282,
        'dingding-new-01:3:1fa9307b-5be3-11ef-9e8e-0eb665c8c295',
        '150076d1-5b14-11ef-8d8b-0216fe4e30bd',
        10,
        'http://test.yudao.iocoder.cn/7401c394a43280732e6aaa715fbfefadc33eeb8fab8f45f6b53f1acf6b22ae29.png',
        NULL,
        10,
        27,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"default\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"datePicker\\\",\\\"field\\\":\\\"startTime\\\",\\\"title\\\":\\\"开始时间\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":true,\\\"_fc_drag_tag\\\":\\\"datePicker\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"datePicker\\\",\\\"field\\\":\\\"Fm9i1onr8v6n68\\\",\\\"title\\\":\\\"结束时间\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":true,\\\"_fc_drag_tag\\\":\\\"datePicker\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"select\\\",\\\"field\\\":\\\"type\\\",\\\"title\\\":\\\"请假类型\\\",\\\"info\\\":\\\"\\\",\\\"effect\\\":{\\\"fetch\\\":\\\"\\\"},\\\"$required\\\":false,\\\"options\\\":[{\\\"label\\\":\\\"事假\\\",\\\"value\\\":1},{\\\"label\\\":\\\"年假\\\",\\\"value\\\":2}],\\\"_fc_drag_tag\\\":\\\"select\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"reason\\\",\\\"title\\\":\\\"请假原因\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"props\\\":{\\\"rows\\\":0,\\\"type\\\":\\\"textarea\\\"},\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"UploadFile\\\",\\\"field\\\":\\\"c982ea4c-7bbd-40d3-9f58-4e6409feed7c\\\",\\\"title\\\":\\\"文件上传\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"UploadFile\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-08-16 23:20:52',
        '1',
        '2024-08-16 23:20:52',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        283,
        'dingding-new-02:1:9ced6afb-5c32-11ef-8920-6aa34c82345d',
        '81ca8c85-5c32-11ef-8920-6aa34c82345d',
        10,
        'http://test.yudao.iocoder.cn/c659aa14a791d94ba75e1d2d60d41aa62903e5a6da5fb8f7df3e71532ee69fee.png',
        '你收呢！',
        10,
        27,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"default\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"datePicker\\\",\\\"field\\\":\\\"startTime\\\",\\\"title\\\":\\\"开始时间\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":true,\\\"_fc_drag_tag\\\":\\\"datePicker\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"datePicker\\\",\\\"field\\\":\\\"Fm9i1onr8v6n68\\\",\\\"title\\\":\\\"结束时间\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":true,\\\"_fc_drag_tag\\\":\\\"datePicker\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"select\\\",\\\"field\\\":\\\"type\\\",\\\"title\\\":\\\"请假类型\\\",\\\"info\\\":\\\"\\\",\\\"effect\\\":{\\\"fetch\\\":\\\"\\\"},\\\"$required\\\":false,\\\"options\\\":[{\\\"label\\\":\\\"事假\\\",\\\"value\\\":1},{\\\"label\\\":\\\"年假\\\",\\\"value\\\":2}],\\\"_fc_drag_tag\\\":\\\"select\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"reason\\\",\\\"title\\\":\\\"请假原因\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"props\\\":{\\\"rows\\\":0,\\\"type\\\":\\\"textarea\\\"},\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"UploadFile\\\",\\\"field\\\":\\\"c982ea4c-7bbd-40d3-9f58-4e6409feed7c\\\",\\\"title\\\":\\\"文件上传\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"UploadFile\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-08-17 08:49:52',
        '1',
        '2024-08-17 08:49:52',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        284,
        'dingding-new-02:2:0594c7e2-5c45-11ef-ba72-da884e9ab97f',
        '81ca8c85-5c32-11ef-8920-6aa34c82345d',
        10,
        'http://test.yudao.iocoder.cn/c659aa14a791d94ba75e1d2d60d41aa62903e5a6da5fb8f7df3e71532ee69fee.png',
        '你收呢！',
        10,
        27,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"default\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"datePicker\\\",\\\"field\\\":\\\"startTime\\\",\\\"title\\\":\\\"开始时间\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":true,\\\"_fc_drag_tag\\\":\\\"datePicker\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"datePicker\\\",\\\"field\\\":\\\"Fm9i1onr8v6n68\\\",\\\"title\\\":\\\"结束时间\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":true,\\\"_fc_drag_tag\\\":\\\"datePicker\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"select\\\",\\\"field\\\":\\\"type\\\",\\\"title\\\":\\\"请假类型\\\",\\\"info\\\":\\\"\\\",\\\"effect\\\":{\\\"fetch\\\":\\\"\\\"},\\\"$required\\\":false,\\\"options\\\":[{\\\"label\\\":\\\"事假\\\",\\\"value\\\":1},{\\\"label\\\":\\\"年假\\\",\\\"value\\\":2}],\\\"_fc_drag_tag\\\":\\\"select\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"reason\\\",\\\"title\\\":\\\"请假原因\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"props\\\":{\\\"rows\\\":0,\\\"type\\\":\\\"textarea\\\"},\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"UploadFile\\\",\\\"field\\\":\\\"c982ea4c-7bbd-40d3-9f58-4e6409feed7c\\\",\\\"title\\\":\\\"文件上传\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"UploadFile\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-08-17 11:01:39',
        '1',
        '2024-08-17 11:01:39',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        285,
        'dingding-new-02:3:b1dc2c7b-5c45-11ef-b584-da884e9ab97f',
        '81ca8c85-5c32-11ef-8920-6aa34c82345d',
        10,
        'http://test.yudao.iocoder.cn/c659aa14a791d94ba75e1d2d60d41aa62903e5a6da5fb8f7df3e71532ee69fee.png',
        '你收呢！',
        10,
        27,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"default\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"datePicker\\\",\\\"field\\\":\\\"startTime\\\",\\\"title\\\":\\\"开始时间\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":true,\\\"_fc_drag_tag\\\":\\\"datePicker\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"datePicker\\\",\\\"field\\\":\\\"Fm9i1onr8v6n68\\\",\\\"title\\\":\\\"结束时间\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":true,\\\"_fc_drag_tag\\\":\\\"datePicker\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"select\\\",\\\"field\\\":\\\"type\\\",\\\"title\\\":\\\"请假类型\\\",\\\"info\\\":\\\"\\\",\\\"effect\\\":{\\\"fetch\\\":\\\"\\\"},\\\"$required\\\":false,\\\"options\\\":[{\\\"label\\\":\\\"事假\\\",\\\"value\\\":1},{\\\"label\\\":\\\"年假\\\",\\\"value\\\":2}],\\\"_fc_drag_tag\\\":\\\"select\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"reason\\\",\\\"title\\\":\\\"请假原因\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"props\\\":{\\\"rows\\\":0,\\\"type\\\":\\\"textarea\\\"},\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"UploadFile\\\",\\\"field\\\":\\\"c982ea4c-7bbd-40d3-9f58-4e6409feed7c\\\",\\\"title\\\":\\\"文件上传\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"UploadFile\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-08-17 11:06:28',
        '1',
        '2024-08-17 11:06:28',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        286,
        'dingding-new-02:4:cbe29e84-5c45-11ef-b584-da884e9ab97f',
        '81ca8c85-5c32-11ef-8920-6aa34c82345d',
        10,
        'http://test.yudao.iocoder.cn/c659aa14a791d94ba75e1d2d60d41aa62903e5a6da5fb8f7df3e71532ee69fee.png',
        '你收呢！',
        10,
        27,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"default\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"datePicker\\\",\\\"field\\\":\\\"startTime\\\",\\\"title\\\":\\\"开始时间\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":true,\\\"_fc_drag_tag\\\":\\\"datePicker\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"datePicker\\\",\\\"field\\\":\\\"Fm9i1onr8v6n68\\\",\\\"title\\\":\\\"结束时间\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":true,\\\"_fc_drag_tag\\\":\\\"datePicker\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"select\\\",\\\"field\\\":\\\"type\\\",\\\"title\\\":\\\"请假类型\\\",\\\"info\\\":\\\"\\\",\\\"effect\\\":{\\\"fetch\\\":\\\"\\\"},\\\"$required\\\":false,\\\"options\\\":[{\\\"label\\\":\\\"事假\\\",\\\"value\\\":1},{\\\"label\\\":\\\"年假\\\",\\\"value\\\":2}],\\\"_fc_drag_tag\\\":\\\"select\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"reason\\\",\\\"title\\\":\\\"请假原因\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"props\\\":{\\\"rows\\\":0,\\\"type\\\":\\\"textarea\\\"},\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"UploadFile\\\",\\\"field\\\":\\\"c982ea4c-7bbd-40d3-9f58-4e6409feed7c\\\",\\\"title\\\":\\\"文件上传\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"UploadFile\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-08-17 11:07:12',
        '1',
        '2024-08-17 11:07:12',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        287,
        'dingding-new-02:5:11743139-5c49-11ef-a949-da884e9ab97f',
        '81ca8c85-5c32-11ef-8920-6aa34c82345d',
        10,
        'http://test.yudao.iocoder.cn/c659aa14a791d94ba75e1d2d60d41aa62903e5a6da5fb8f7df3e71532ee69fee.png',
        '你收呢！',
        10,
        27,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"default\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"datePicker\\\",\\\"field\\\":\\\"startTime\\\",\\\"title\\\":\\\"开始时间\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":true,\\\"_fc_drag_tag\\\":\\\"datePicker\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"datePicker\\\",\\\"field\\\":\\\"Fm9i1onr8v6n68\\\",\\\"title\\\":\\\"结束时间\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":true,\\\"_fc_drag_tag\\\":\\\"datePicker\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"select\\\",\\\"field\\\":\\\"type\\\",\\\"title\\\":\\\"请假类型\\\",\\\"info\\\":\\\"\\\",\\\"effect\\\":{\\\"fetch\\\":\\\"\\\"},\\\"$required\\\":false,\\\"options\\\":[{\\\"label\\\":\\\"事假\\\",\\\"value\\\":1},{\\\"label\\\":\\\"年假\\\",\\\"value\\\":2}],\\\"_fc_drag_tag\\\":\\\"select\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"reason\\\",\\\"title\\\":\\\"请假原因\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"props\\\":{\\\"rows\\\":0,\\\"type\\\":\\\"textarea\\\"},\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"UploadFile\\\",\\\"field\\\":\\\"c982ea4c-7bbd-40d3-9f58-4e6409feed7c\\\",\\\"title\\\":\\\"文件上传\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"UploadFile\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-08-17 11:30:37',
        '1',
        '2024-08-17 11:30:37',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        288,
        'dingding-new-03:1:52e8ed81-5c5f-11ef-b68e-fada804b1506',
        '272cf19b-5c5f-11ef-b68e-fada804b1506',
        10,
        'http://test.yudao.iocoder.cn/c659aa14a791d94ba75e1d2d60d41aa62903e5a6da5fb8f7df3e71532ee69fee.png',
        NULL,
        10,
        27,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"default\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"datePicker\\\",\\\"field\\\":\\\"startTime\\\",\\\"title\\\":\\\"开始时间\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":true,\\\"_fc_drag_tag\\\":\\\"datePicker\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"datePicker\\\",\\\"field\\\":\\\"Fm9i1onr8v6n68\\\",\\\"title\\\":\\\"结束时间\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":true,\\\"_fc_drag_tag\\\":\\\"datePicker\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"select\\\",\\\"field\\\":\\\"type\\\",\\\"title\\\":\\\"请假类型\\\",\\\"info\\\":\\\"\\\",\\\"effect\\\":{\\\"fetch\\\":\\\"\\\"},\\\"$required\\\":false,\\\"options\\\":[{\\\"label\\\":\\\"事假\\\",\\\"value\\\":1},{\\\"label\\\":\\\"年假\\\",\\\"value\\\":2}],\\\"_fc_drag_tag\\\":\\\"select\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"reason\\\",\\\"title\\\":\\\"请假原因\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"props\\\":{\\\"rows\\\":0,\\\"type\\\":\\\"textarea\\\"},\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"UploadFile\\\",\\\"field\\\":\\\"c982ea4c-7bbd-40d3-9f58-4e6409feed7c\\\",\\\"title\\\":\\\"文件上传\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"UploadFile\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-08-17 14:09:55',
        '1',
        '2024-08-17 14:09:55',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        289,
        'dingding-new-03:2:71f8bda4-5c5f-11ef-b68e-fada804b1506',
        '272cf19b-5c5f-11ef-b68e-fada804b1506',
        10,
        'http://test.yudao.iocoder.cn/c659aa14a791d94ba75e1d2d60d41aa62903e5a6da5fb8f7df3e71532ee69fee.png',
        NULL,
        10,
        27,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"default\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"datePicker\\\",\\\"field\\\":\\\"startTime\\\",\\\"title\\\":\\\"开始时间\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":true,\\\"_fc_drag_tag\\\":\\\"datePicker\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"datePicker\\\",\\\"field\\\":\\\"Fm9i1onr8v6n68\\\",\\\"title\\\":\\\"结束时间\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":true,\\\"_fc_drag_tag\\\":\\\"datePicker\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"select\\\",\\\"field\\\":\\\"type\\\",\\\"title\\\":\\\"请假类型\\\",\\\"info\\\":\\\"\\\",\\\"effect\\\":{\\\"fetch\\\":\\\"\\\"},\\\"$required\\\":false,\\\"options\\\":[{\\\"label\\\":\\\"事假\\\",\\\"value\\\":1},{\\\"label\\\":\\\"年假\\\",\\\"value\\\":2}],\\\"_fc_drag_tag\\\":\\\"select\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"reason\\\",\\\"title\\\":\\\"请假原因\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"props\\\":{\\\"rows\\\":0,\\\"type\\\":\\\"textarea\\\"},\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"UploadFile\\\",\\\"field\\\":\\\"c982ea4c-7bbd-40d3-9f58-4e6409feed7c\\\",\\\"title\\\":\\\"文件上传\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"UploadFile\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-08-17 14:10:48',
        '1',
        '2024-08-17 14:10:48',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        290,
        'dingding-new-03:3:7906ec78-5c5f-11ef-b68e-fada804b1506',
        '272cf19b-5c5f-11ef-b68e-fada804b1506',
        10,
        'http://test.yudao.iocoder.cn/c659aa14a791d94ba75e1d2d60d41aa62903e5a6da5fb8f7df3e71532ee69fee.png',
        NULL,
        10,
        27,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"default\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"datePicker\\\",\\\"field\\\":\\\"startTime\\\",\\\"title\\\":\\\"开始时间\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":true,\\\"_fc_drag_tag\\\":\\\"datePicker\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"datePicker\\\",\\\"field\\\":\\\"Fm9i1onr8v6n68\\\",\\\"title\\\":\\\"结束时间\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":true,\\\"_fc_drag_tag\\\":\\\"datePicker\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"select\\\",\\\"field\\\":\\\"type\\\",\\\"title\\\":\\\"请假类型\\\",\\\"info\\\":\\\"\\\",\\\"effect\\\":{\\\"fetch\\\":\\\"\\\"},\\\"$required\\\":false,\\\"options\\\":[{\\\"label\\\":\\\"事假\\\",\\\"value\\\":1},{\\\"label\\\":\\\"年假\\\",\\\"value\\\":2}],\\\"_fc_drag_tag\\\":\\\"select\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"reason\\\",\\\"title\\\":\\\"请假原因\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"props\\\":{\\\"rows\\\":0,\\\"type\\\":\\\"textarea\\\"},\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"UploadFile\\\",\\\"field\\\":\\\"c982ea4c-7bbd-40d3-9f58-4e6409feed7c\\\",\\\"title\\\":\\\"文件上传\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"UploadFile\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-08-17 14:10:59',
        '1',
        '2024-08-17 14:10:59',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        291,
        'dingding-new-03:4:e4448c76-5c63-11ef-801e-ee42d61a19f3',
        '272cf19b-5c5f-11ef-b68e-fada804b1506',
        10,
        'http://test.yudao.iocoder.cn/c659aa14a791d94ba75e1d2d60d41aa62903e5a6da5fb8f7df3e71532ee69fee.png',
        NULL,
        10,
        27,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"default\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"datePicker\\\",\\\"field\\\":\\\"startTime\\\",\\\"title\\\":\\\"开始时间\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":true,\\\"_fc_drag_tag\\\":\\\"datePicker\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"datePicker\\\",\\\"field\\\":\\\"Fm9i1onr8v6n68\\\",\\\"title\\\":\\\"结束时间\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":true,\\\"_fc_drag_tag\\\":\\\"datePicker\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"select\\\",\\\"field\\\":\\\"type\\\",\\\"title\\\":\\\"请假类型\\\",\\\"info\\\":\\\"\\\",\\\"effect\\\":{\\\"fetch\\\":\\\"\\\"},\\\"$required\\\":false,\\\"options\\\":[{\\\"label\\\":\\\"事假\\\",\\\"value\\\":1},{\\\"label\\\":\\\"年假\\\",\\\"value\\\":2}],\\\"_fc_drag_tag\\\":\\\"select\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"reason\\\",\\\"title\\\":\\\"请假原因\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"props\\\":{\\\"rows\\\":0,\\\"type\\\":\\\"textarea\\\"},\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"UploadFile\\\",\\\"field\\\":\\\"c982ea4c-7bbd-40d3-9f58-4e6409feed7c\\\",\\\"title\\\":\\\"文件上传\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"UploadFile\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-08-17 14:42:37',
        '1',
        '2024-08-17 14:42:37',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        292,
        'dingding-new-03:5:85f5e50b-5c6d-11ef-8d6e-aed50561faa5',
        '272cf19b-5c5f-11ef-b68e-fada804b1506',
        10,
        'http://test.yudao.iocoder.cn/c659aa14a791d94ba75e1d2d60d41aa62903e5a6da5fb8f7df3e71532ee69fee.png',
        NULL,
        10,
        27,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"default\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"datePicker\\\",\\\"field\\\":\\\"startTime\\\",\\\"title\\\":\\\"开始时间\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":true,\\\"_fc_drag_tag\\\":\\\"datePicker\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"datePicker\\\",\\\"field\\\":\\\"Fm9i1onr8v6n68\\\",\\\"title\\\":\\\"结束时间\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":true,\\\"_fc_drag_tag\\\":\\\"datePicker\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"select\\\",\\\"field\\\":\\\"type\\\",\\\"title\\\":\\\"请假类型\\\",\\\"info\\\":\\\"\\\",\\\"effect\\\":{\\\"fetch\\\":\\\"\\\"},\\\"$required\\\":false,\\\"options\\\":[{\\\"label\\\":\\\"事假\\\",\\\"value\\\":1},{\\\"label\\\":\\\"年假\\\",\\\"value\\\":2}],\\\"_fc_drag_tag\\\":\\\"select\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"reason\\\",\\\"title\\\":\\\"请假原因\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"props\\\":{\\\"rows\\\":0,\\\"type\\\":\\\"textarea\\\"},\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"UploadFile\\\",\\\"field\\\":\\\"c982ea4c-7bbd-40d3-9f58-4e6409feed7c\\\",\\\"title\\\":\\\"文件上传\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"UploadFile\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-08-17 15:51:34',
        '1',
        '2024-08-17 15:51:34',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        293,
        'dingding-new-03:6:42a6615b-5c6f-11ef-b472-aed50561faa5',
        '272cf19b-5c5f-11ef-b68e-fada804b1506',
        10,
        'http://test.yudao.iocoder.cn/c659aa14a791d94ba75e1d2d60d41aa62903e5a6da5fb8f7df3e71532ee69fee.png',
        NULL,
        10,
        27,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"default\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"datePicker\\\",\\\"field\\\":\\\"startTime\\\",\\\"title\\\":\\\"开始时间\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":true,\\\"_fc_drag_tag\\\":\\\"datePicker\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"datePicker\\\",\\\"field\\\":\\\"Fm9i1onr8v6n68\\\",\\\"title\\\":\\\"结束时间\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":true,\\\"_fc_drag_tag\\\":\\\"datePicker\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"select\\\",\\\"field\\\":\\\"type\\\",\\\"title\\\":\\\"请假类型\\\",\\\"info\\\":\\\"\\\",\\\"effect\\\":{\\\"fetch\\\":\\\"\\\"},\\\"$required\\\":false,\\\"options\\\":[{\\\"label\\\":\\\"事假\\\",\\\"value\\\":1},{\\\"label\\\":\\\"年假\\\",\\\"value\\\":2}],\\\"_fc_drag_tag\\\":\\\"select\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"reason\\\",\\\"title\\\":\\\"请假原因\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"props\\\":{\\\"rows\\\":0,\\\"type\\\":\\\"textarea\\\"},\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"UploadFile\\\",\\\"field\\\":\\\"c982ea4c-7bbd-40d3-9f58-4e6409feed7c\\\",\\\"title\\\":\\\"文件上传\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"UploadFile\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-08-17 16:04:00',
        '1',
        '2024-08-17 16:04:00',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        294,
        'dingding-new-03:7:be066588-5c6f-11ef-9238-aed50561faa5',
        '272cf19b-5c5f-11ef-b68e-fada804b1506',
        10,
        'http://test.yudao.iocoder.cn/c659aa14a791d94ba75e1d2d60d41aa62903e5a6da5fb8f7df3e71532ee69fee.png',
        NULL,
        10,
        27,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"default\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"datePicker\\\",\\\"field\\\":\\\"startTime\\\",\\\"title\\\":\\\"开始时间\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":true,\\\"_fc_drag_tag\\\":\\\"datePicker\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"datePicker\\\",\\\"field\\\":\\\"Fm9i1onr8v6n68\\\",\\\"title\\\":\\\"结束时间\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":true,\\\"_fc_drag_tag\\\":\\\"datePicker\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"select\\\",\\\"field\\\":\\\"type\\\",\\\"title\\\":\\\"请假类型\\\",\\\"info\\\":\\\"\\\",\\\"effect\\\":{\\\"fetch\\\":\\\"\\\"},\\\"$required\\\":false,\\\"options\\\":[{\\\"label\\\":\\\"事假\\\",\\\"value\\\":1},{\\\"label\\\":\\\"年假\\\",\\\"value\\\":2}],\\\"_fc_drag_tag\\\":\\\"select\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"reason\\\",\\\"title\\\":\\\"请假原因\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"props\\\":{\\\"rows\\\":0,\\\"type\\\":\\\"textarea\\\"},\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"UploadFile\\\",\\\"field\\\":\\\"c982ea4c-7bbd-40d3-9f58-4e6409feed7c\\\",\\\"title\\\":\\\"文件上传\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"UploadFile\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-08-17 16:07:27',
        '1',
        '2024-08-17 16:07:27',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        295,
        'dingding-new-03:8:684002ca-5c71-11ef-84c7-e2daa89f1c3f',
        '272cf19b-5c5f-11ef-b68e-fada804b1506',
        10,
        'http://test.yudao.iocoder.cn/c659aa14a791d94ba75e1d2d60d41aa62903e5a6da5fb8f7df3e71532ee69fee.png',
        NULL,
        10,
        27,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"default\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"datePicker\\\",\\\"field\\\":\\\"startTime\\\",\\\"title\\\":\\\"开始时间\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":true,\\\"_fc_drag_tag\\\":\\\"datePicker\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"datePicker\\\",\\\"field\\\":\\\"Fm9i1onr8v6n68\\\",\\\"title\\\":\\\"结束时间\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":true,\\\"_fc_drag_tag\\\":\\\"datePicker\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"select\\\",\\\"field\\\":\\\"type\\\",\\\"title\\\":\\\"请假类型\\\",\\\"info\\\":\\\"\\\",\\\"effect\\\":{\\\"fetch\\\":\\\"\\\"},\\\"$required\\\":false,\\\"options\\\":[{\\\"label\\\":\\\"事假\\\",\\\"value\\\":1},{\\\"label\\\":\\\"年假\\\",\\\"value\\\":2}],\\\"_fc_drag_tag\\\":\\\"select\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"reason\\\",\\\"title\\\":\\\"请假原因\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"props\\\":{\\\"rows\\\":0,\\\"type\\\":\\\"textarea\\\"},\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"UploadFile\\\",\\\"field\\\":\\\"c982ea4c-7bbd-40d3-9f58-4e6409feed7c\\\",\\\"title\\\":\\\"文件上传\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"UploadFile\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-08-17 16:19:22',
        '1',
        '2024-08-17 16:19:22',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        296,
        'dingding-new-04:1:0ca99988-5c82-11ef-bedc-bec2e0c2f11f',
        'a3a969df-5c81-11ef-921d-bec2e0c2f11f',
        10,
        'http://test.yudao.iocoder.cn/c659aa14a791d94ba75e1d2d60d41aa62903e5a6da5fb8f7df3e71532ee69fee.png',
        NULL,
        10,
        27,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"default\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"datePicker\\\",\\\"field\\\":\\\"startTime\\\",\\\"title\\\":\\\"开始时间\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":true,\\\"_fc_drag_tag\\\":\\\"datePicker\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"datePicker\\\",\\\"field\\\":\\\"Fm9i1onr8v6n68\\\",\\\"title\\\":\\\"结束时间\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":true,\\\"_fc_drag_tag\\\":\\\"datePicker\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"select\\\",\\\"field\\\":\\\"type\\\",\\\"title\\\":\\\"请假类型\\\",\\\"info\\\":\\\"\\\",\\\"effect\\\":{\\\"fetch\\\":\\\"\\\"},\\\"$required\\\":false,\\\"options\\\":[{\\\"label\\\":\\\"事假\\\",\\\"value\\\":1},{\\\"label\\\":\\\"年假\\\",\\\"value\\\":2}],\\\"_fc_drag_tag\\\":\\\"select\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"reason\\\",\\\"title\\\":\\\"请假原因\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"props\\\":{\\\"rows\\\":0,\\\"type\\\":\\\"textarea\\\"},\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"UploadFile\\\",\\\"field\\\":\\\"c982ea4c-7bbd-40d3-9f58-4e6409feed7c\\\",\\\"title\\\":\\\"文件上传\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"UploadFile\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-08-17 18:18:30',
        '1',
        '2024-08-17 18:18:30',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        297,
        'dingding-new-05:1:be1300a8-5c9a-11ef-a8e4-92f37d84469a',
        '961b11a2-5c9a-11ef-a8e4-92f37d84469a',
        10,
        'http://test.yudao.iocoder.cn/e1c52473ec0716ecfb18bf2c2b8685883a3f4b511e54dbef2d39920afaa4f4ef.png',
        NULL,
        10,
        27,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"default\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"datePicker\\\",\\\"field\\\":\\\"startTime\\\",\\\"title\\\":\\\"开始时间\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":true,\\\"_fc_drag_tag\\\":\\\"datePicker\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"datePicker\\\",\\\"field\\\":\\\"Fm9i1onr8v6n68\\\",\\\"title\\\":\\\"结束时间\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":true,\\\"_fc_drag_tag\\\":\\\"datePicker\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"select\\\",\\\"field\\\":\\\"type\\\",\\\"title\\\":\\\"请假类型\\\",\\\"info\\\":\\\"\\\",\\\"effect\\\":{\\\"fetch\\\":\\\"\\\"},\\\"$required\\\":false,\\\"options\\\":[{\\\"label\\\":\\\"事假\\\",\\\"value\\\":1},{\\\"label\\\":\\\"年假\\\",\\\"value\\\":2}],\\\"_fc_drag_tag\\\":\\\"select\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"reason\\\",\\\"title\\\":\\\"请假原因\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"props\\\":{\\\"rows\\\":0,\\\"type\\\":\\\"textarea\\\"},\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"UploadFile\\\",\\\"field\\\":\\\"c982ea4c-7bbd-40d3-9f58-4e6409feed7c\\\",\\\"title\\\":\\\"文件上传\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"UploadFile\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-08-17 21:15:16',
        '1',
        '2024-08-17 21:15:16',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        298,
        'dingding-new-05:2:dc369c07-5c9a-11ef-a8e4-92f37d84469a',
        '961b11a2-5c9a-11ef-a8e4-92f37d84469a',
        10,
        'http://test.yudao.iocoder.cn/e1c52473ec0716ecfb18bf2c2b8685883a3f4b511e54dbef2d39920afaa4f4ef.png',
        NULL,
        10,
        27,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"default\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"datePicker\\\",\\\"field\\\":\\\"startTime\\\",\\\"title\\\":\\\"开始时间\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":true,\\\"_fc_drag_tag\\\":\\\"datePicker\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"datePicker\\\",\\\"field\\\":\\\"Fm9i1onr8v6n68\\\",\\\"title\\\":\\\"结束时间\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":true,\\\"_fc_drag_tag\\\":\\\"datePicker\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"select\\\",\\\"field\\\":\\\"type\\\",\\\"title\\\":\\\"请假类型\\\",\\\"info\\\":\\\"\\\",\\\"effect\\\":{\\\"fetch\\\":\\\"\\\"},\\\"$required\\\":false,\\\"options\\\":[{\\\"label\\\":\\\"事假\\\",\\\"value\\\":1},{\\\"label\\\":\\\"年假\\\",\\\"value\\\":2}],\\\"_fc_drag_tag\\\":\\\"select\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"reason\\\",\\\"title\\\":\\\"请假原因\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"props\\\":{\\\"rows\\\":0,\\\"type\\\":\\\"textarea\\\"},\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"UploadFile\\\",\\\"field\\\":\\\"c982ea4c-7bbd-40d3-9f58-4e6409feed7c\\\",\\\"title\\\":\\\"文件上传\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"UploadFile\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-08-17 21:16:06',
        '1',
        '2024-08-17 21:16:06',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        299,
        'dingding-new-05:3:f50f3c66-5c9a-11ef-a8e4-92f37d84469a',
        '961b11a2-5c9a-11ef-a8e4-92f37d84469a',
        10,
        'http://test.yudao.iocoder.cn/e1c52473ec0716ecfb18bf2c2b8685883a3f4b511e54dbef2d39920afaa4f4ef.png',
        NULL,
        10,
        27,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"default\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"datePicker\\\",\\\"field\\\":\\\"startTime\\\",\\\"title\\\":\\\"开始时间\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":true,\\\"_fc_drag_tag\\\":\\\"datePicker\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"datePicker\\\",\\\"field\\\":\\\"Fm9i1onr8v6n68\\\",\\\"title\\\":\\\"结束时间\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":true,\\\"_fc_drag_tag\\\":\\\"datePicker\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"select\\\",\\\"field\\\":\\\"type\\\",\\\"title\\\":\\\"请假类型\\\",\\\"info\\\":\\\"\\\",\\\"effect\\\":{\\\"fetch\\\":\\\"\\\"},\\\"$required\\\":false,\\\"options\\\":[{\\\"label\\\":\\\"事假\\\",\\\"value\\\":1},{\\\"label\\\":\\\"年假\\\",\\\"value\\\":2}],\\\"_fc_drag_tag\\\":\\\"select\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"reason\\\",\\\"title\\\":\\\"请假原因\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"props\\\":{\\\"rows\\\":0,\\\"type\\\":\\\"textarea\\\"},\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"UploadFile\\\",\\\"field\\\":\\\"c982ea4c-7bbd-40d3-9f58-4e6409feed7c\\\",\\\"title\\\":\\\"文件上传\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"UploadFile\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-08-17 21:16:48',
        '1',
        '2024-08-17 21:16:48',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        300,
        'simple-01:1:b0cbe161-61de-11ef-abc5-ca1dd2e8f300',
        '917fa48b-61de-11ef-abc5-ca1dd2e8f300',
        10,
        'http://test.yudao.iocoder.cn/7401c394a43280732e6aaa715fbfefadc33eeb8fab8f45f6b53f1acf6b22ae29.png',
        NULL,
        10,
        24,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-08-24 14:04:15',
        '1',
        '2024-08-24 14:04:15',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        301,
        'simple-02:1:6f3a5cf8-61e7-11ef-8927-c646985e83ad',
        '57b5daf2-61e7-11ef-8927-c646985e83ad',
        10,
        'http://test.yudao.iocoder.cn/7401c394a43280732e6aaa715fbfefadc33eeb8fab8f45f6b53f1acf6b22ae29.png',
        NULL,
        10,
        24,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-08-24 15:06:50',
        '1',
        '2024-08-24 15:06:50',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        302,
        'simple-02:2:e3ddd385-61e7-11ef-8927-c646985e83ad',
        '57b5daf2-61e7-11ef-8927-c646985e83ad',
        10,
        'http://test.yudao.iocoder.cn/7401c394a43280732e6aaa715fbfefadc33eeb8fab8f45f6b53f1acf6b22ae29.png',
        NULL,
        10,
        24,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-08-24 15:10:06',
        '1',
        '2024-08-24 15:10:06',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        303,
        'simple-03:1:ffd041ac-6395-11ef-9c91-e6bb11cfb2c8',
        'a10355c1-6392-11ef-93ff-6e48fd3e48cc',
        10,
        'http://test.yudao.iocoder.cn/a8eb4341b2c88afb56f7b4d61826a55b9228e06e772cb140a411b15f9f235be0.png',
        'ee',
        10,
        27,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"default\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"datePicker\\\",\\\"field\\\":\\\"startTime\\\",\\\"title\\\":\\\"开始时间\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":true,\\\"_fc_drag_tag\\\":\\\"datePicker\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"datePicker\\\",\\\"field\\\":\\\"Fm9i1onr8v6n68\\\",\\\"title\\\":\\\"结束时间\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":true,\\\"_fc_drag_tag\\\":\\\"datePicker\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"select\\\",\\\"field\\\":\\\"type\\\",\\\"title\\\":\\\"请假类型\\\",\\\"info\\\":\\\"\\\",\\\"effect\\\":{\\\"fetch\\\":\\\"\\\"},\\\"$required\\\":false,\\\"options\\\":[{\\\"label\\\":\\\"事假\\\",\\\"value\\\":1},{\\\"label\\\":\\\"年假\\\",\\\"value\\\":2}],\\\"_fc_drag_tag\\\":\\\"select\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"reason\\\",\\\"title\\\":\\\"请假原因\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"props\\\":{\\\"rows\\\":0,\\\"type\\\":\\\"textarea\\\"},\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"UploadFile\\\",\\\"field\\\":\\\"c982ea4c-7bbd-40d3-9f58-4e6409feed7c\\\",\\\"title\\\":\\\"文件上传\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"UploadFile\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        'x',
        'y',
        '1',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-08-26 18:28:57',
        '1',
        '2024-08-26 18:28:57',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        304,
        'simple-03:2:acdc2fca-6396-11ef-9467-9e8b8de3d574',
        'a10355c1-6392-11ef-93ff-6e48fd3e48cc',
        10,
        'http://test.yudao.iocoder.cn/a8eb4341b2c88afb56f7b4d61826a55b9228e06e772cb140a411b15f9f235be0.png',
        'ee',
        10,
        27,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"default\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"datePicker\\\",\\\"field\\\":\\\"startTime\\\",\\\"title\\\":\\\"开始时间\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":true,\\\"_fc_drag_tag\\\":\\\"datePicker\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"datePicker\\\",\\\"field\\\":\\\"Fm9i1onr8v6n68\\\",\\\"title\\\":\\\"结束时间\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":true,\\\"_fc_drag_tag\\\":\\\"datePicker\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"select\\\",\\\"field\\\":\\\"type\\\",\\\"title\\\":\\\"请假类型\\\",\\\"info\\\":\\\"\\\",\\\"effect\\\":{\\\"fetch\\\":\\\"\\\"},\\\"$required\\\":false,\\\"options\\\":[{\\\"label\\\":\\\"事假\\\",\\\"value\\\":1},{\\\"label\\\":\\\"年假\\\",\\\"value\\\":2}],\\\"_fc_drag_tag\\\":\\\"select\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"reason\\\",\\\"title\\\":\\\"请假原因\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"props\\\":{\\\"rows\\\":0,\\\"type\\\":\\\"textarea\\\"},\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"UploadFile\\\",\\\"field\\\":\\\"c982ea4c-7bbd-40d3-9f58-4e6409feed7c\\\",\\\"title\\\":\\\"文件上传\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"UploadFile\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        'x',
        'y',
        '0',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-08-26 18:33:47',
        '1',
        '2024-08-26 18:33:47',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        305,
        'simple-03:3:67b17c0f-71c7-11ef-ac99-5621c86b7390',
        'a10355c1-6392-11ef-93ff-6e48fd3e48cc',
        10,
        'http://test.yudao.iocoder.cn/a8eb4341b2c88afb56f7b4d61826a55b9228e06e772cb140a411b15f9f235be0.png',
        'ee',
        10,
        28,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"checkbox\\\",\\\"field\\\":\\\"Fo2b64a6nn6yw\\\",\\\"title\\\":\\\"多选框\\\",\\\"info\\\":\\\"\\\",\\\"effect\\\":{\\\"fetch\\\":\\\"\\\"},\\\"$required\\\":false,\\\"options\\\":[{\\\"label\\\":\\\"选项1\\\",\\\"value\\\":1},{\\\"label\\\":\\\"选项2\\\",\\\"value\\\":2}],\\\"_fc_drag_tag\\\":\\\"checkbox\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        'x',
        'y',
        '0',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-09-13 19:57:52',
        '1',
        '2024-09-13 19:57:52',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        306,
        'simple-03:4:25e2dcdd-71d2-11ef-ac99-5621c86b7390',
        'a10355c1-6392-11ef-93ff-6e48fd3e48cc',
        10,
        'http://test.yudao.iocoder.cn/a8eb4341b2c88afb56f7b4d61826a55b9228e06e772cb140a411b15f9f235be0.png',
        'ee',
        10,
        28,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"cascader\\\",\\\"field\\\":\\\"Fafp64a7f65sr\\\",\\\"title\\\":\\\"级联选择器\\\",\\\"info\\\":\\\"\\\",\\\"effect\\\":{\\\"fetch\\\":\\\"\\\"},\\\"$required\\\":false,\\\"props\\\":{\\\"options\\\":[{\\\"label\\\":\\\"选项1\\\",\\\"value\\\":1,\\\"children\\\":[]},{\\\"label\\\":\\\"选项2\\\",\\\"value\\\":2,\\\"children\\\":[]}]},\\\"_fc_drag_tag\\\":\\\"cascader\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        'x',
        'y',
        '',
        b'0',
        NULL,
        NULL,
        '1',
        '2024-09-13 21:14:46',
        '1',
        '2024-09-13 21:14:46',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        307,
        'simple-03:5:39b9c031-71d2-11ef-ac99-5621c86b7390',
        'a10355c1-6392-11ef-93ff-6e48fd3e48cc',
        10,
        'http://test.yudao.iocoder.cn/a8eb4341b2c88afb56f7b4d61826a55b9228e06e772cb140a411b15f9f235be0.png',
        'ee',
        10,
        28,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"cascader\\\",\\\"field\\\":\\\"Fafp64a7f65sr\\\",\\\"title\\\":\\\"级联选择器\\\",\\\"info\\\":\\\"\\\",\\\"effect\\\":{\\\"fetch\\\":\\\"\\\"},\\\"$required\\\":false,\\\"props\\\":{\\\"options\\\":[{\\\"label\\\":\\\"选项1\\\",\\\"value\\\":1,\\\"children\\\":[]},{\\\"label\\\":\\\"选项2\\\",\\\"value\\\":2,\\\"children\\\":[]}]},\\\"_fc_drag_tag\\\":\\\"cascader\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        'x',
        'y',
        '',
        b'0',
        NULL,
        NULL,
        '1',
        '2024-09-13 21:15:20',
        '1',
        '2024-09-13 21:15:20',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        308,
        'simple-03:6:3f8c13a5-71d2-11ef-ac99-5621c86b7390',
        'a10355c1-6392-11ef-93ff-6e48fd3e48cc',
        10,
        'http://test.yudao.iocoder.cn/a8eb4341b2c88afb56f7b4d61826a55b9228e06e772cb140a411b15f9f235be0.png',
        'ee',
        10,
        28,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"cascader\\\",\\\"field\\\":\\\"Fafp64a7f65sr\\\",\\\"title\\\":\\\"级联选择器\\\",\\\"info\\\":\\\"\\\",\\\"effect\\\":{\\\"fetch\\\":\\\"\\\"},\\\"$required\\\":false,\\\"props\\\":{\\\"options\\\":[{\\\"label\\\":\\\"选项1\\\",\\\"value\\\":1,\\\"children\\\":[]},{\\\"label\\\":\\\"选项2\\\",\\\"value\\\":2,\\\"children\\\":[]}]},\\\"_fc_drag_tag\\\":\\\"cascader\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        'x',
        'y',
        '',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-09-13 21:15:30',
        '1',
        '2024-09-13 21:15:30',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        309,
        'simple-03:7:74db9347-71d3-11ef-ac99-5621c86b7390',
        'a10355c1-6392-11ef-93ff-6e48fd3e48cc',
        10,
        'http://test.yudao.iocoder.cn/a8eb4341b2c88afb56f7b4d61826a55b9228e06e772cb140a411b15f9f235be0.png',
        'ee',
        10,
        28,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"cascader\\\",\\\"field\\\":\\\"Fafp64a7f65sr\\\",\\\"title\\\":\\\"级联选择器\\\",\\\"info\\\":\\\"\\\",\\\"effect\\\":{\\\"fetch\\\":\\\"\\\"},\\\"$required\\\":false,\\\"props\\\":{\\\"options\\\":[{\\\"label\\\":\\\"选项1\\\",\\\"value\\\":1,\\\"children\\\":[{\\\"label\\\":\\\"选项11\\\",\\\"value\\\":11,\\\"children\\\":[]},{\\\"label\\\":\\\"选项12\\\",\\\"value\\\":12,\\\"children\\\":[]}]},{\\\"label\\\":\\\"选项2\\\",\\\"value\\\":2,\\\"children\\\":[]}]},\\\"_fc_drag_tag\\\":\\\"cascader\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        'x',
        'y',
        '',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-09-13 21:24:08',
        '1',
        '2024-09-13 21:24:08',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        310,
        'simple-03:8:f46606f9-71d3-11ef-ac99-5621c86b7390',
        'a10355c1-6392-11ef-93ff-6e48fd3e48cc',
        10,
        'http://test.yudao.iocoder.cn/a8eb4341b2c88afb56f7b4d61826a55b9228e06e772cb140a411b15f9f235be0.png',
        'ee',
        10,
        28,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"tree\\\",\\\"field\\\":\\\"Flm564a7jrfah\\\",\\\"title\\\":\\\"树形控件\\\",\\\"info\\\":\\\"\\\",\\\"effect\\\":{\\\"fetch\\\":\\\"\\\"},\\\"$required\\\":false,\\\"props\\\":{\\\"props\\\":{\\\"label\\\":\\\"label\\\"},\\\"showCheckbox\\\":true,\\\"nodeKey\\\":\\\"id\\\",\\\"data\\\":[{\\\"label\\\":\\\"选项1\\\",\\\"id\\\":1,\\\"children\\\":[{\\\"label\\\":\\\"选项11\\\",\\\"id\\\":11,\\\"children\\\":[]},{\\\"label\\\":\\\"选项12\\\",\\\"id\\\":12,\\\"children\\\":[]}]},{\\\"label\\\":\\\"选项2\\\",\\\"id\\\":2,\\\"children\\\":[]}]},\\\"_fc_drag_tag\\\":\\\"tree\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        'x',
        'y',
        '',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-09-13 21:27:42',
        '1',
        '2024-09-13 21:27:42',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        311,
        'simple-03:9:54f0c53d-74c1-11ef-b607-56c19462ac4b',
        'a10355c1-6392-11ef-93ff-6e48fd3e48cc',
        10,
        'http://test.yudao.iocoder.cn/a8eb4341b2c88afb56f7b4d61826a55b9228e06e772cb140a411b15f9f235be0.png',
        'ee',
        10,
        29,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"UploadFile\\\",\\\"field\\\":\\\"6998d577-3e09-45db-945a-e38ae063070c\\\",\\\"title\\\":\\\"文件上传\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"UploadFile\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"UploadImg\\\",\\\"field\\\":\\\"69111c0e-e00a-4968-a363-dd8270d077a0\\\",\\\"title\\\":\\\"单图上传\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"UploadImg\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"UploadImgs\\\",\\\"field\\\":\\\"051b5d49-bc02-44e5-bed1-b85d56a979ff\\\",\\\"title\\\":\\\"多图上传\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"UploadImgs\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        'x',
        'y',
        '',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-09-17 14:51:57',
        '1',
        '2024-09-17 14:51:57',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        312,
        'test-multi:4:5052448b-74c6-11ef-83e6-8a1db91ea8d5',
        'a01741c1-2c71-11ef-a3cf-9eb4566c9ffb',
        10,
        'http://test.yudao.iocoder.cn/2a124ba5743f9572fcbd2718a64ba599618c96ddba6c7391ad35906cd3f37f94.png',
        NULL,
        10,
        27,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"default\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"datePicker\\\",\\\"field\\\":\\\"startTime\\\",\\\"title\\\":\\\"开始时间\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":true,\\\"_fc_drag_tag\\\":\\\"datePicker\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"datePicker\\\",\\\"field\\\":\\\"Fm9i1onr8v6n68\\\",\\\"title\\\":\\\"结束时间\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":true,\\\"_fc_drag_tag\\\":\\\"datePicker\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"select\\\",\\\"field\\\":\\\"type\\\",\\\"title\\\":\\\"请假类型\\\",\\\"info\\\":\\\"\\\",\\\"effect\\\":{\\\"fetch\\\":\\\"\\\"},\\\"$required\\\":false,\\\"options\\\":[{\\\"label\\\":\\\"事假\\\",\\\"value\\\":1},{\\\"label\\\":\\\"年假\\\",\\\"value\\\":2}],\\\"_fc_drag_tag\\\":\\\"select\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"reason\\\",\\\"title\\\":\\\"请假原因\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"props\\\":{\\\"rows\\\":0,\\\"type\\\":\\\"textarea\\\"},\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"UploadFile\\\",\\\"field\\\":\\\"c982ea4c-7bbd-40d3-9f58-4e6409feed7c\\\",\\\"title\\\":\\\"文件上传\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"UploadFile\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-09-17 15:27:37',
        '1',
        '2024-09-17 15:27:37',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        313,
        'test-multi-02:3:fbae7f56-7f21-11ef-bdea-ca5778fb00b9',
        'ac088bd6-5786-11ef-a7d0-ca5778fb00b9',
        10,
        'http://test.yudao.iocoder.cn/2a124ba5743f9572fcbd2718a64ba599618c96ddba6c7391ad35906cd3f37f94.png',
        NULL,
        10,
        27,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"default\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"datePicker\\\",\\\"field\\\":\\\"startTime\\\",\\\"title\\\":\\\"开始时间\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":true,\\\"_fc_drag_tag\\\":\\\"datePicker\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"datePicker\\\",\\\"field\\\":\\\"Fm9i1onr8v6n68\\\",\\\"title\\\":\\\"结束时间\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":true,\\\"_fc_drag_tag\\\":\\\"datePicker\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"select\\\",\\\"field\\\":\\\"type\\\",\\\"title\\\":\\\"请假类型\\\",\\\"info\\\":\\\"\\\",\\\"effect\\\":{\\\"fetch\\\":\\\"\\\"},\\\"$required\\\":false,\\\"options\\\":[{\\\"label\\\":\\\"事假\\\",\\\"value\\\":1},{\\\"label\\\":\\\"年假\\\",\\\"value\\\":2}],\\\"_fc_drag_tag\\\":\\\"select\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"reason\\\",\\\"title\\\":\\\"请假原因\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"props\\\":{\\\"rows\\\":0,\\\"type\\\":\\\"textarea\\\"},\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"UploadFile\\\",\\\"field\\\":\\\"c982ea4c-7bbd-40d3-9f58-4e6409feed7c\\\",\\\"title\\\":\\\"文件上传\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"UploadFile\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-09-30 19:49:01',
        '1',
        '2024-09-30 19:49:01',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        314,
        'test-duoren:1:9276258a-7fd6-11ef-bf92-323a765bd653',
        '6335bdd5-7fd6-11ef-bf92-323a765bd653',
        10,
        'http://test.yudao.iocoder.cn/84defd9f8ca220e357894a61c781b16950849b481752d4f76b797188f7286bd8.png',
        '321',
        10,
        24,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        NULL,
        NULL,
        '',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-10-01 17:21:43',
        '1',
        '2024-10-01 17:21:43',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        315,
        'new-key:1:f45cd1cd-8138-11ef-98ed-0ad1a6b0a8a7',
        'cd5d2578-8138-11ef-98ed-0ad1a6b0a8a7',
        10,
        'http://test.yudao.iocoder.cn/96f06d6c23c0207ffd03d71bd020ea1550a785441f95b9de4cf3765a202a68c8.png',
        '',
        10,
        24,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        '',
        '',
        '',
        b'1',
        NULL,
        NULL,
        '1',
        '2024-10-03 11:38:29',
        '1',
        '2024-10-03 11:38:29',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        316,
        'new-key:2:6f340a88-816b-11ef-980e-c6742a20eb3e',
        'cd5d2578-8138-11ef-98ed-0ad1a6b0a8a7',
        10,
        'http://test.yudao.iocoder.cn/96f06d6c23c0207ffd03d71bd020ea1550a785441f95b9de4cf3765a202a68c8.png',
        '',
        10,
        24,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fjph60d8vlrl9\\\",\\\"title\\\":\\\"输入框\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        '',
        '',
        '',
        b'1',
        '100',
        '1,100,103',
        '1',
        '2024-10-03 17:39:50',
        '1',
        '2024-10-03 17:39:50',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        317,
        'dingding-demo:1:32856ac4-8200-11ef-80a2-d693a04a0735',
        '1d7d4fdf-81ff-11ef-abac-d693a04a0735',
        20,
        'http://test.yudao.iocoder.cn/9545f9b6ac86779f1b20337b159a85a46f05c6be68df2a31d707f2d7e61f6f54.png',
        '',
        10,
        27,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"default\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"datePicker\\\",\\\"field\\\":\\\"startTime\\\",\\\"title\\\":\\\"开始时间\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":true,\\\"_fc_drag_tag\\\":\\\"datePicker\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"datePicker\\\",\\\"field\\\":\\\"Fm9i1onr8v6n68\\\",\\\"title\\\":\\\"结束时间\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":true,\\\"_fc_drag_tag\\\":\\\"datePicker\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"select\\\",\\\"field\\\":\\\"type\\\",\\\"title\\\":\\\"请假类型\\\",\\\"info\\\":\\\"\\\",\\\"effect\\\":{\\\"fetch\\\":\\\"\\\"},\\\"$required\\\":false,\\\"options\\\":[{\\\"label\\\":\\\"事假\\\",\\\"value\\\":1},{\\\"label\\\":\\\"年假\\\",\\\"value\\\":2}],\\\"_fc_drag_tag\\\":\\\"select\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"reason\\\",\\\"title\\\":\\\"请假原因\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"props\\\":{\\\"rows\\\":0,\\\"type\\\":\\\"textarea\\\"},\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"UploadFile\\\",\\\"field\\\":\\\"c982ea4c-7bbd-40d3-9f58-4e6409feed7c\\\",\\\"title\\\":\\\"文件上传\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"UploadFile\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        '',
        '',
        '{\"id\":\"StartUserNode\",\"type\":10,\"name\":\"发起人\",\"showText\":\"已设置\",\"childNode\":{\"id\":\"Activity_b967abd5-1238-45de-afee-2eb41ae64b61\",\"type\":11,\"name\":\"审批人\",\"showText\":\"指定成员：纽森科技\",\"childNode\":{\"id\":\"EndEvent\",\"type\":1,\"name\":\"结束\"},\"candidateStrategy\":30,\"candidateParam\":\"1\",\"approveType\":1,\"approveMethod\":1,\"fieldsPermission\":[{\"field\":\"startTime\",\"title\":\"开始时间\",\"permission\":\"1\"},{\"field\":\"Fm9i1onr8v6n68\",\"title\":\"结束时间\",\"permission\":\"1\"},{\"field\":\"type\",\"title\":\"请假类型\",\"permission\":\"1\"},{\"field\":\"reason\",\"title\":\"请假原因\",\"permission\":\"1\"},{\"field\":\"c982ea4c-7bbd-40d3-9f58-4e6409feed7c\",\"title\":\"文件上传\",\"permission\":\"1\"}],\"buttonsSetting\":[{\"id\":1,\"displayName\":\"通过\",\"enable\":true},{\"id\":2,\"displayName\":\"拒绝\",\"enable\":true},{\"id\":3,\"displayName\":\"转办\",\"enable\":false},{\"id\":4,\"displayName\":\"委派\",\"enable\":false},{\"id\":5,\"displayName\":\"加签\",\"enable\":false},{\"id\":6,\"displayName\":\"回退\",\"enable\":false}],\"rejectHandler\":{\"type\":1,\"returnNodeId\":null},\"timeoutHandler\":{\"enable\":false,\"type\":null,\"timeDuration\":null,\"maxRemindCount\":null},\"assignStartUserHandlerType\":1,\"assignEmptyHandler\":{\"type\":1,\"userIds\":null}},\"fieldsPermission\":[{\"field\":\"startTime\",\"title\":\"开始时间\",\"permission\":\"2\"},{\"field\":\"Fm9i1onr8v6n68\",\"title\":\"结束时间\",\"permission\":\"2\"},{\"field\":\"type\",\"title\":\"请假类型\",\"permission\":\"2\"},{\"field\":\"reason\",\"title\":\"请假原因\",\"permission\":\"2\"},{\"field\":\"c982ea4c-7bbd-40d3-9f58-4e6409feed7c\",\"title\":\"文件上传\",\"permission\":\"2\"}],\"buttonsSetting\":[{\"id\":1,\"displayName\":\"提交\",\"enable\":true},{\"id\":2,\"displayName\":\"拒绝\",\"enable\":false},{\"id\":3,\"displayName\":\"转办\",\"enable\":false},{\"id\":4,\"displayName\":\"委派\",\"enable\":false},{\"id\":5,\"displayName\":\"加签\",\"enable\":false},{\"id\":6,\"displayName\":\"回退\",\"enable\":false}]}',
        b'1',
        '',
        '1',
        '1',
        '2024-10-04 11:24:43',
        '1',
        '2024-10-04 11:24:43',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        318,
        'dingding-demo:2:f2654a62-8200-11ef-80a2-d693a04a0735',
        '1d7d4fdf-81ff-11ef-abac-d693a04a0735',
        20,
        'http://test.yudao.iocoder.cn/9545f9b6ac86779f1b20337b159a85a46f05c6be68df2a31d707f2d7e61f6f54.png',
        '',
        10,
        27,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"default\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"datePicker\\\",\\\"field\\\":\\\"startTime\\\",\\\"title\\\":\\\"开始时间\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":true,\\\"_fc_drag_tag\\\":\\\"datePicker\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"datePicker\\\",\\\"field\\\":\\\"Fm9i1onr8v6n68\\\",\\\"title\\\":\\\"结束时间\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":true,\\\"_fc_drag_tag\\\":\\\"datePicker\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"select\\\",\\\"field\\\":\\\"type\\\",\\\"title\\\":\\\"请假类型\\\",\\\"info\\\":\\\"\\\",\\\"effect\\\":{\\\"fetch\\\":\\\"\\\"},\\\"$required\\\":false,\\\"options\\\":[{\\\"label\\\":\\\"事假\\\",\\\"value\\\":1},{\\\"label\\\":\\\"年假\\\",\\\"value\\\":2}],\\\"_fc_drag_tag\\\":\\\"select\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"reason\\\",\\\"title\\\":\\\"请假原因\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"props\\\":{\\\"rows\\\":0,\\\"type\\\":\\\"textarea\\\"},\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"UploadFile\\\",\\\"field\\\":\\\"c982ea4c-7bbd-40d3-9f58-4e6409feed7c\\\",\\\"title\\\":\\\"文件上传\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"UploadFile\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        '',
        '',
        '{\"id\":\"StartUserNode\",\"type\":10,\"name\":\"发起人\",\"showText\":\"已设置\",\"childNode\":{\"id\":\"Activity_b967abd5-1238-45de-afee-2eb41ae64b61\",\"type\":11,\"name\":\"审批人\",\"showText\":\"指定成员：纽森科技\",\"childNode\":{\"id\":\"Activity_c6a42fdd-5e2d-4670-adf8-9c6b0763aaeb\",\"type\":11,\"name\":\"审批人\",\"showText\":\"指定成员：纽森科技,纽森,源码,测试号\",\"childNode\":{\"id\":\"EndEvent\",\"type\":1,\"name\":\"结束\"},\"candidateStrategy\":30,\"candidateParam\":\"100,104,103,1\",\"approveType\":1,\"approveMethod\":4,\"fieldsPermission\":[{\"field\":\"startTime\",\"title\":\"开始时间\",\"permission\":\"1\"},{\"field\":\"Fm9i1onr8v6n68\",\"title\":\"结束时间\",\"permission\":\"1\"},{\"field\":\"type\",\"title\":\"请假类型\",\"permission\":\"1\"},{\"field\":\"reason\",\"title\":\"请假原因\",\"permission\":\"1\"},{\"field\":\"c982ea4c-7bbd-40d3-9f58-4e6409feed7c\",\"title\":\"文件上传\",\"permission\":\"1\"}],\"buttonsSetting\":[{\"id\":1,\"displayName\":\"通过\",\"enable\":true},{\"id\":2,\"displayName\":\"拒绝\",\"enable\":true},{\"id\":3,\"displayName\":\"转办\",\"enable\":false},{\"id\":4,\"displayName\":\"委派\",\"enable\":false},{\"id\":5,\"displayName\":\"加签\",\"enable\":false},{\"id\":6,\"displayName\":\"回退\",\"enable\":false}],\"rejectHandler\":{\"type\":1,\"returnNodeId\":null},\"timeoutHandler\":{\"enable\":false,\"type\":null,\"timeDuration\":null,\"maxRemindCount\":null},\"assignStartUserHandlerType\":1,\"assignEmptyHandler\":{\"type\":1,\"userIds\":null}},\"candidateStrategy\":30,\"candidateParam\":\"1\",\"approveType\":1,\"approveMethod\":1,\"fieldsPermission\":[{\"field\":\"startTime\",\"title\":\"开始时间\",\"permission\":\"1\"},{\"field\":\"Fm9i1onr8v6n68\",\"title\":\"结束时间\",\"permission\":\"1\"},{\"field\":\"type\",\"title\":\"请假类型\",\"permission\":\"1\"},{\"field\":\"reason\",\"title\":\"请假原因\",\"permission\":\"1\"},{\"field\":\"c982ea4c-7bbd-40d3-9f58-4e6409feed7c\",\"title\":\"文件上传\",\"permission\":\"1\"}],\"buttonsSetting\":[{\"id\":1,\"displayName\":\"通过\",\"enable\":true},{\"id\":2,\"displayName\":\"拒绝\",\"enable\":true},{\"id\":3,\"displayName\":\"转办\",\"enable\":false},{\"id\":4,\"displayName\":\"委派\",\"enable\":false},{\"id\":5,\"displayName\":\"加签\",\"enable\":false},{\"id\":6,\"displayName\":\"回退\",\"enable\":false}],\"rejectHandler\":{\"type\":1,\"returnNodeId\":null},\"timeoutHandler\":{\"enable\":false,\"type\":null,\"timeDuration\":null,\"maxRemindCount\":null},\"assignStartUserHandlerType\":1,\"assignEmptyHandler\":{\"type\":1,\"userIds\":null}},\"fieldsPermission\":[{\"field\":\"startTime\",\"title\":\"开始时间\",\"permission\":\"2\"},{\"field\":\"Fm9i1onr8v6n68\",\"title\":\"结束时间\",\"permission\":\"2\"},{\"field\":\"type\",\"title\":\"请假类型\",\"permission\":\"2\"},{\"field\":\"reason\",\"title\":\"请假原因\",\"permission\":\"2\"},{\"field\":\"c982ea4c-7bbd-40d3-9f58-4e6409feed7c\",\"title\":\"文件上传\",\"permission\":\"2\"}],\"buttonsSetting\":[{\"id\":1,\"displayName\":\"提交\",\"enable\":true},{\"id\":2,\"displayName\":\"拒绝\",\"enable\":false},{\"id\":3,\"displayName\":\"转办\",\"enable\":false},{\"id\":4,\"displayName\":\"委派\",\"enable\":false},{\"id\":5,\"displayName\":\"加签\",\"enable\":false},{\"id\":6,\"displayName\":\"回退\",\"enable\":false}]}',
        b'1',
        '',
        '1',
        '1',
        '2024-10-04 11:30:05',
        '1',
        '2024-10-04 11:30:05',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        319,
        'dingding-demo:3:fca032bb-8201-11ef-80a2-d693a04a0735',
        '1d7d4fdf-81ff-11ef-abac-d693a04a0735',
        20,
        'http://test.yudao.iocoder.cn/9545f9b6ac86779f1b20337b159a85a46f05c6be68df2a31d707f2d7e61f6f54.png',
        '',
        10,
        30,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"small\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Famz1p93tieo6r\\\",\\\"title\\\":\\\"输入框1\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fdgk1p93tiyqoo\\\",\\\"title\\\":\\\"输入框2\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"F73v1p93tiyehp\\\",\\\"title\\\":\\\"输入框3\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fcpi1p93tiy2aq\\\",\\\"title\\\":\\\"输入框4\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fut41p93tixq3r\\\",\\\"title\\\":\\\"输入框5\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fbi21p93tixej0\\\",\\\"title\\\":\\\"输入框6\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fwbk1p93tix299\\\",\\\"title\\\":\\\"输入框7\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"F4zu1p93tiwoze\\\",\\\"title\\\":\\\"输入框8\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Ffuu1p93tiwc8z\\\",\\\"title\\\":\\\"输入框9\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"F6zg1p93tivzz8\\\",\\\"title\\\":\\\"输入框10\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fryb1p93tivn8t\\\",\\\"title\\\":\\\"输入框11\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"F5p51p93tivb1u\\\",\\\"title\\\":\\\"输入框12\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fq6f1p93tiuyuv\\\",\\\"title\\\":\\\"输入框13\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fvrc1p93tiuna4\\\",\\\"title\\\":\\\"输入框14\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"F44d1p93tiub5x\\\",\\\"title\\\":\\\"输入框15\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fans1p93titxta\\\",\\\"title\\\":\\\"输入框16\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fkvp1p93titkxb\\\",\\\"title\\\":\\\"输入框17\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Ffhi1p93tit7yk\\\",\\\"title\\\":\\\"输入框18\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\",\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fug81p93tis24x\\\",\\\"title\\\":\\\"输入框19\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":false,\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        '',
        '',
        '{\"id\":\"StartUserNode\",\"type\":10,\"name\":\"发起人\",\"showText\":\"已设置\",\"childNode\":{\"id\":\"Activity_b967abd5-1238-45de-afee-2eb41ae64b61\",\"type\":11,\"name\":\"审批人\",\"showText\":\"指定成员：纽森科技\",\"childNode\":{\"id\":\"Activity_c6a42fdd-5e2d-4670-adf8-9c6b0763aaeb\",\"type\":11,\"name\":\"审批人\",\"showText\":\"指定成员：纽森科技,纽森,源码,测试号\",\"childNode\":{\"id\":\"EndEvent\",\"type\":1,\"name\":\"结束\"},\"candidateStrategy\":30,\"candidateParam\":\"100,104,103,1\",\"approveType\":1,\"approveMethod\":4,\"fieldsPermission\":[{\"field\":\"startTime\",\"title\":\"开始时间\",\"permission\":\"1\"},{\"field\":\"Fm9i1onr8v6n68\",\"title\":\"结束时间\",\"permission\":\"1\"},{\"field\":\"type\",\"title\":\"请假类型\",\"permission\":\"1\"},{\"field\":\"reason\",\"title\":\"请假原因\",\"permission\":\"1\"},{\"field\":\"c982ea4c-7bbd-40d3-9f58-4e6409feed7c\",\"title\":\"文件上传\",\"permission\":\"1\"}],\"buttonsSetting\":[{\"id\":1,\"displayName\":\"通过\",\"enable\":true},{\"id\":2,\"displayName\":\"拒绝\",\"enable\":true},{\"id\":3,\"displayName\":\"转办\",\"enable\":false},{\"id\":4,\"displayName\":\"委派\",\"enable\":false},{\"id\":5,\"displayName\":\"加签\",\"enable\":false},{\"id\":6,\"displayName\":\"回退\",\"enable\":false}],\"rejectHandler\":{\"type\":1,\"returnNodeId\":null},\"timeoutHandler\":{\"enable\":false,\"type\":null,\"timeDuration\":null,\"maxRemindCount\":null},\"assignStartUserHandlerType\":1,\"assignEmptyHandler\":{\"type\":1,\"userIds\":null}},\"candidateStrategy\":30,\"candidateParam\":\"1\",\"approveType\":1,\"approveMethod\":1,\"fieldsPermission\":[{\"field\":\"startTime\",\"title\":\"开始时间\",\"permission\":\"1\"},{\"field\":\"Fm9i1onr8v6n68\",\"title\":\"结束时间\",\"permission\":\"1\"},{\"field\":\"type\",\"title\":\"请假类型\",\"permission\":\"1\"},{\"field\":\"reason\",\"title\":\"请假原因\",\"permission\":\"1\"},{\"field\":\"c982ea4c-7bbd-40d3-9f58-4e6409feed7c\",\"title\":\"文件上传\",\"permission\":\"1\"}],\"buttonsSetting\":[{\"id\":1,\"displayName\":\"通过\",\"enable\":true},{\"id\":2,\"displayName\":\"拒绝\",\"enable\":true},{\"id\":3,\"displayName\":\"转办\",\"enable\":false},{\"id\":4,\"displayName\":\"委派\",\"enable\":false},{\"id\":5,\"displayName\":\"加签\",\"enable\":false},{\"id\":6,\"displayName\":\"回退\",\"enable\":false}],\"rejectHandler\":{\"type\":1,\"returnNodeId\":null},\"timeoutHandler\":{\"enable\":false,\"type\":null,\"timeDuration\":null,\"maxRemindCount\":null},\"assignStartUserHandlerType\":1,\"assignEmptyHandler\":{\"type\":1,\"userIds\":null}},\"fieldsPermission\":[{\"field\":\"startTime\",\"title\":\"开始时间\",\"permission\":\"2\"},{\"field\":\"Fm9i1onr8v6n68\",\"title\":\"结束时间\",\"permission\":\"2\"},{\"field\":\"type\",\"title\":\"请假类型\",\"permission\":\"2\"},{\"field\":\"reason\",\"title\":\"请假原因\",\"permission\":\"2\"},{\"field\":\"c982ea4c-7bbd-40d3-9f58-4e6409feed7c\",\"title\":\"文件上传\",\"permission\":\"2\"}],\"buttonsSetting\":[{\"id\":1,\"displayName\":\"提交\",\"enable\":true},{\"id\":2,\"displayName\":\"拒绝\",\"enable\":false},{\"id\":3,\"displayName\":\"转办\",\"enable\":false},{\"id\":4,\"displayName\":\"委派\",\"enable\":false},{\"id\":5,\"displayName\":\"加签\",\"enable\":false},{\"id\":6,\"displayName\":\"回退\",\"enable\":false}]}',
        b'1',
        '',
        '1',
        '1',
        '2024-10-04 11:37:32',
        '1',
        '2024-10-04 11:37:32',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        320,
        'dingding-test01:1:846e8448-8204-11ef-80a2-d693a04a0735',
        '63f2a112-8204-11ef-80a2-d693a04a0735',
        20,
        'http://test.yudao.iocoder.cn/633159e152c914578b6eb05fd35d9204cce50f8f183899a8d93a82ed9a818316.png',
        '',
        10,
        25,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"default\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fgjo62bltzzxt\\\",\\\"title\\\":\\\"新的表单\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":\\\"新的表单，必须填写\\\",\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        '',
        '',
        '{\"id\":\"StartUserNode\",\"type\":10,\"name\":\"发起人\",\"showText\":\"已设置\",\"childNode\":{\"id\":\"Activity_e49a1ccc-1a43-4690-b455-b627896fc3c3\",\"type\":11,\"name\":\"各个领导的审批\",\"showText\":\"指定成员：纽森科技,纽森,源码,测试号\",\"childNode\":{\"id\":\"EndEvent\",\"type\":1,\"name\":\"结束\"},\"candidateStrategy\":30,\"candidateParam\":\"1,100,103,104\",\"approveType\":1,\"approveMethod\":4,\"fieldsPermission\":[{\"field\":\"Fgjo62bltzzxt\",\"title\":\"新的表单\",\"permission\":\"1\"}],\"buttonsSetting\":[{\"id\":1,\"displayName\":\"通过\",\"enable\":true},{\"id\":2,\"displayName\":\"拒绝\",\"enable\":true},{\"id\":3,\"displayName\":\"转办\",\"enable\":false},{\"id\":4,\"displayName\":\"委派\",\"enable\":false},{\"id\":5,\"displayName\":\"加签\",\"enable\":false},{\"id\":6,\"displayName\":\"回退\",\"enable\":false}],\"rejectHandler\":{\"type\":1,\"returnNodeId\":null},\"timeoutHandler\":{\"enable\":false,\"type\":null,\"timeDuration\":null,\"maxRemindCount\":null},\"assignStartUserHandlerType\":1,\"assignEmptyHandler\":{\"type\":1,\"userIds\":null}},\"fieldsPermission\":[{\"field\":\"Fgjo62bltzzxt\",\"title\":\"新的表单\",\"permission\":\"2\"}],\"buttonsSetting\":[{\"id\":1,\"displayName\":\"提交\",\"enable\":true},{\"id\":2,\"displayName\":\"拒绝\",\"enable\":false},{\"id\":3,\"displayName\":\"转办\",\"enable\":false},{\"id\":4,\"displayName\":\"委派\",\"enable\":false},{\"id\":5,\"displayName\":\"加签\",\"enable\":false},{\"id\":6,\"displayName\":\"回退\",\"enable\":false}]}',
        b'1',
        '',
        '1',
        '1',
        '2024-10-04 11:55:39',
        '1',
        '2024-10-04 11:55:39',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        321,
        'dingding-test01:2:8c9946ac-8204-11ef-80a2-d693a04a0735',
        '63f2a112-8204-11ef-80a2-d693a04a0735',
        20,
        'http://test.yudao.iocoder.cn/633159e152c914578b6eb05fd35d9204cce50f8f183899a8d93a82ed9a818316.png',
        '',
        10,
        25,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"default\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fgjo62bltzzxt\\\",\\\"title\\\":\\\"新的表单\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":\\\"新的表单，必须填写\\\",\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        '',
        '',
        '{\"id\":\"StartUserNode\",\"type\":10,\"name\":\"发起人\",\"showText\":\"已设置\",\"childNode\":{\"id\":\"Activity_e49a1ccc-1a43-4690-b455-b627896fc3c3\",\"type\":11,\"name\":\"各个领导的审批\",\"showText\":\"指定成员：纽森科技,源码,测试号\",\"childNode\":{\"id\":\"EndEvent\",\"type\":1,\"name\":\"结束\"},\"candidateStrategy\":30,\"candidateParam\":\"1,103,104\",\"approveType\":1,\"approveMethod\":4,\"fieldsPermission\":[{\"field\":\"Fgjo62bltzzxt\",\"title\":\"新的表单\",\"permission\":\"1\"}],\"buttonsSetting\":[{\"id\":1,\"displayName\":\"通过\",\"enable\":true},{\"id\":2,\"displayName\":\"拒绝\",\"enable\":true},{\"id\":3,\"displayName\":\"转办\",\"enable\":false},{\"id\":4,\"displayName\":\"委派\",\"enable\":false},{\"id\":5,\"displayName\":\"加签\",\"enable\":false},{\"id\":6,\"displayName\":\"回退\",\"enable\":false}],\"rejectHandler\":{\"type\":1,\"returnNodeId\":null},\"timeoutHandler\":{\"enable\":false,\"type\":null,\"timeDuration\":null,\"maxRemindCount\":null},\"assignStartUserHandlerType\":1,\"assignEmptyHandler\":{\"type\":1,\"userIds\":null}},\"fieldsPermission\":[{\"field\":\"Fgjo62bltzzxt\",\"title\":\"新的表单\",\"permission\":\"2\"}],\"buttonsSetting\":[{\"id\":1,\"displayName\":\"提交\",\"enable\":true},{\"id\":2,\"displayName\":\"拒绝\",\"enable\":false},{\"id\":3,\"displayName\":\"转办\",\"enable\":false},{\"id\":4,\"displayName\":\"委派\",\"enable\":false},{\"id\":5,\"displayName\":\"加签\",\"enable\":false},{\"id\":6,\"displayName\":\"回退\",\"enable\":false}]}',
        b'1',
        '',
        '1',
        '1',
        '2024-10-04 11:55:52',
        '1',
        '2024-10-04 11:55:52',
        b'0',
        1
    );

INSERT INTO
    `bpm_process_definition_info` (
        `id`,
        `process_definition_id`,
        `model_id`,
        `model_type`,
        `icon`,
        `description`,
        `form_type`,
        `form_id`,
        `form_conf`,
        `form_fields`,
        `form_custom_create_path`,
        `form_custom_view_path`,
        `simple_model`,
        `visible`,
        `start_user_ids`,
        `manager_user_ids`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        322,
        'dingding-test01:3:a12112c9-8223-11ef-80a2-d693a04a0735',
        '63f2a112-8204-11ef-80a2-d693a04a0735',
        20,
        'http://test.yudao.iocoder.cn/633159e152c914578b6eb05fd35d9204cce50f8f183899a8d93a82ed9a818316.png',
        '',
        10,
        25,
        '{\"form\":{\"labelPosition\":\"right\",\"size\":\"default\",\"labelWidth\":\"125px\",\"hideRequiredAsterisk\":false,\"showMessage\":true,\"inlineMessage\":false},\"submitBtn\":{\"show\":true,\"innerText\":\"提交\"},\"resetBtn\":{\"show\":false,\"innerText\":\"重置\"}}',
        '[\"{\\\"type\\\":\\\"input\\\",\\\"field\\\":\\\"Fgjo62bltzzxt\\\",\\\"title\\\":\\\"新的表单\\\",\\\"info\\\":\\\"\\\",\\\"$required\\\":\\\"新的表单，必须填写\\\",\\\"_fc_drag_tag\\\":\\\"input\\\",\\\"hidden\\\":false,\\\"display\\\":true}\"]',
        '',
        '',
        '{\"id\":\"StartUserNode\",\"type\":10,\"name\":\"发起人\",\"showText\":\"已设置\",\"childNode\":{\"id\":\"Activity_e49a1ccc-1a43-4690-b455-b627896fc3c3\",\"type\":11,\"name\":\"各个领导的审批\",\"showText\":\"指定成员：纽森科技,源码,测试号\",\"childNode\":{\"id\":\"EndEvent\",\"type\":1,\"name\":\"结束\"},\"candidateStrategy\":30,\"candidateParam\":\"1,103,104\",\"approveType\":1,\"approveMethod\":4,\"fieldsPermission\":[{\"field\":\"Fgjo62bltzzxt\",\"title\":\"新的表单\",\"permission\":\"1\"}],\"buttonsSetting\":[{\"id\":1,\"displayName\":\"通过\",\"enable\":true},{\"id\":2,\"displayName\":\"拒绝\",\"enable\":true},{\"id\":3,\"displayName\":\"转办\",\"enable\":true},{\"id\":4,\"displayName\":\"委派\",\"enable\":true},{\"id\":5,\"displayName\":\"加签\",\"enable\":true},{\"id\":6,\"displayName\":\"回退\",\"enable\":true}],\"rejectHandler\":{\"type\":1,\"returnNodeId\":null},\"timeoutHandler\":{\"enable\":false,\"type\":null,\"timeDuration\":null,\"maxRemindCount\":null},\"assignStartUserHandlerType\":1,\"assignEmptyHandler\":{\"type\":1,\"userIds\":null}},\"fieldsPermission\":[{\"field\":\"Fgjo62bltzzxt\",\"title\":\"新的表单\",\"permission\":\"2\"}],\"buttonsSetting\":[{\"id\":1,\"displayName\":\"提交\",\"enable\":true},{\"id\":2,\"displayName\":\"拒绝\",\"enable\":false},{\"id\":3,\"displayName\":\"转办\",\"enable\":false},{\"id\":4,\"displayName\":\"委派\",\"enable\":false},{\"id\":5,\"displayName\":\"加签\",\"enable\":false},{\"id\":6,\"displayName\":\"回退\",\"enable\":false}]}',
        b'1',
        '',
        '1',
        '1',
        '2024-10-04 15:38:21',
        '1',
        '2024-10-04 15:38:21',
        b'0',
        1
    );

COMMIT;

-- ----------------------------
-- Table structure for bpm_process_expression
-- ----------------------------
DROP TABLE IF EXISTS `bpm_process_expression`;

CREATE TABLE `bpm_process_expression` (
    `id` bigint NOT NULL AUTO_INCREMENT COMMENT '编号',
    `name` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '表达式名字',
    `status` tinyint NOT NULL COMMENT '表达式状态',
    `expression` varchar(1024) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '表达式',
    `creator` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '创建者',
    `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
    `updater` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '更新者',
    `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
    `deleted` bit(1) NOT NULL DEFAULT b'0' COMMENT '是否删除',
    `tenant_id` bigint NOT NULL DEFAULT 0 COMMENT '租户编号',
    PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 120 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci COMMENT = 'BPM 流程表达式表';

-- ----------------------------
-- Records of bpm_process_expression
-- ----------------------------
BEGIN;

INSERT INTO
    `bpm_process_expression` (
        `id`,
        `name`,
        `status`,
        `expression`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        116,
        '测试表达式',
        0,
        'cn.iocoder.yudao.module.bpm.framework.flowable.core.listener.demo.exection.DemoDelegateClassExecutionListener',
        '1',
        '2024-03-23 15:13:20',
        '1',
        '2024-03-09 22:37:51',
        b'1',
        1
    );

INSERT INTO
    `bpm_process_expression` (
        `id`,
        `name`,
        `status`,
        `expression`,
        `creator`,
        `create_time`,
        `updater`,
        `update_time`,
        `deleted`,
        `tenant_id`
    )
VALUES (
        118,
        '测试任务监听器',
        0,
        'cn.iocoder.yudao.module.bpm.framework.flowable.core.listener.demo.task.DemoDelegateClassTaskListener',
        '1',
        '2024-03-23 19:13:15',
        '1',
        '2024-03-09 22:36:44',
        b'1',
        1
    );

COMMIT;

-- ----------------------------
-- Table structure for bpm_process_instance_copy
-- ----------------------------
DROP TABLE IF EXISTS `bpm_process_instance_copy`;

CREATE TABLE `bpm_process_instance_copy` (
    `id` bigint NOT NULL AUTO_INCREMENT COMMENT '编号',
    `user_id` bigint NOT NULL DEFAULT 0 COMMENT '用户编号，被抄送人',
    `start_user_id` bigint NOT NULL DEFAULT 0 COMMENT '发起流程的用户编号',
    `process_instance_id` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '流程实例的id',
    `process_instance_name` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '流程实例的名字',
    `category` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '流程定义的分类',
    `task_id` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '发起抄送的任务编号',
    `task_name` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '任务的名字',
    `activity_id` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '流程活动编号',
    `creator` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '创建者',
    `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
    `updater` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '更新者',
    `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
    `deleted` bit(1) NOT NULL DEFAULT b'0' COMMENT '是否删除',
    `tenant_id` bigint NOT NULL DEFAULT 0 COMMENT '租户编号',
    PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 21 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci COMMENT = 'BPM 流程实例抄送表';

-- ----------------------------
-- Records of bpm_process_instance_copy
-- ----------------------------
BEGIN;

COMMIT;

-- ----------------------------
-- Table structure for bpm_process_listener
-- ----------------------------
DROP TABLE IF EXISTS `bpm_process_listener`;

CREATE TABLE `bpm_process_listener` (
    `id` bigint NOT NULL AUTO_INCREMENT COMMENT '编号',
    `name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '监听器名字',
    `type` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '监听器类型',
    `status` tinyint NOT NULL COMMENT '监听器状态',
    `event` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '监听事件',
    `value_type` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '监听器值类型',
    `value` varchar(1024) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '监听器值',
    `creator` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '创建者',
    `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
    `updater` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '更新者',
    `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
    `deleted` bit(1) NOT NULL DEFAULT b'0' COMMENT '是否删除',
    `tenant_id` bigint NOT NULL DEFAULT 0 COMMENT '租户编号',
    PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 119 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci COMMENT = 'BPM 流程监听器表';

-- ----------------------------
-- Records of bpm_process_listener
-- ----------------------------
BEGIN;

COMMIT;

-- ----------------------------
-- Table structure for bpm_user_group
-- ----------------------------
DROP TABLE IF EXISTS `bpm_user_group`;

CREATE TABLE `bpm_user_group` (
    `id` bigint NOT NULL AUTO_INCREMENT COMMENT '编号',
    `name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '组名',
    `description` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '描述',
    `user_ids` varchar(1024) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '成员编号数组',
    `status` tinyint NOT NULL COMMENT '状态（0正常 1停用）',
    `creator` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '创建者',
    `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
    `updater` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '更新者',
    `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
    `deleted` bit(1) NOT NULL DEFAULT b'0' COMMENT '是否删除',
    `tenant_id` bigint NOT NULL DEFAULT 0 COMMENT '租户编号',
    PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 114 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci COMMENT = 'BPM 用户组表';

-- ----------------------------
-- Records of bpm_user_group
-- ----------------------------
BEGIN;

COMMIT;

SET FOREIGN_KEY_CHECKS = 1;